import { __decorate, __param } from 'tslib';
import { EventEmitter, Input, Output, Component, NgModule, forwardRef, ChangeDetectorRef, HostBinding, ViewChild, ViewEncapsulation, Inject, CUSTOM_ELEMENTS_SCHEMA, HostListener, Directive } from '@angular/core';
import { CommonModule, Location } from '@angular/common';
import { MatButtonModule } from '@angular/material/button';
import { MatProgressSpinnerModule } from '@angular/material/progress-spinner';
import { MatCheckboxModule } from '@angular/material/checkbox';
import { MatRadioModule } from '@angular/material/radio';
import { trigger, state, style, transition, animate } from '@angular/animations';
import { NG_VALUE_ACCESSOR, NG_VALIDATORS, Validators, FormsModule, ReactiveFormsModule, FormControl } from '@angular/forms';
import { MatSlideToggleModule } from '@angular/material/slide-toggle';
import { MatInputModule } from '@angular/material/input';
import { MatTooltipModule } from '@angular/material/tooltip';
import { Subject } from 'rxjs';
import { takeUntil, startWith, map } from 'rxjs/operators';
import { MatSelectModule } from '@angular/material/select';
import { NgxMatSelectSearchModule } from 'ngx-mat-select-search';
import { MatSnackBarRef, MAT_SNACK_BAR_DATA } from '@angular/material/snack-bar';
import { MatIconModule } from '@angular/material/icon';
import { HttpClient } from '@angular/common/http';
import { MatDialogRef, MAT_DIALOG_DATA, MatDialog } from '@angular/material/dialog';
import { ImageCropperModule } from 'ngx-image-cropper';
import { MatProgressBarModule } from '@angular/material/progress-bar';
import { Router } from '@angular/router';
import { MatListModule } from '@angular/material/list';
import { MatExpansionModule } from '@angular/material/expansion';
import { MatSidenavModule } from '@angular/material/sidenav';
import * as moment from 'moment';
import { ClickOutsideModule } from 'ng-click-outside';
import { MatAutocompleteModule } from '@angular/material/autocomplete';

let ButtonComponent = class ButtonComponent {
    constructor() {
        this.clicked = new EventEmitter();
    }
    ngOnInit() {
        this.theme = this.theme ? this.theme : "primary";
    }
    clickedButton(event) {
        // this.showProgress = true;
        this.btnWidth = event.currentTarget["offsetWidth"] - 80;
        this.clicked.emit(event);
    }
};
__decorate([
    Input()
], ButtonComponent.prototype, "showProgress", void 0);
__decorate([
    Input()
], ButtonComponent.prototype, "isContained", void 0);
__decorate([
    Input()
], ButtonComponent.prototype, "theme", void 0);
__decorate([
    Input()
], ButtonComponent.prototype, "focused", void 0);
__decorate([
    Input()
], ButtonComponent.prototype, "large", void 0);
__decorate([
    Input()
], ButtonComponent.prototype, "isStroked", void 0);
__decorate([
    Input()
], ButtonComponent.prototype, "small", void 0);
__decorate([
    Input()
], ButtonComponent.prototype, "shouldBeDisabled", void 0);
__decorate([
    Input()
], ButtonComponent.prototype, "showIcon", void 0);
__decorate([
    Output()
], ButtonComponent.prototype, "clicked", void 0);
ButtonComponent = __decorate([
    Component({
        selector: "nitrozen-button",
        template: "<div\n  [ngClass]=\"{\n    'primary-section': theme === 'primary',\n    'secondary-section': theme === 'accent'\n  }\"\n>\n  <button\n    mat-raised-button\n    class=\"btn-nitrozen\"\n    [ngClass]=\"{\n      'mat-stroked-button': isStroked,\n      'mat-flat-button': isContained,\n      'btn-focused': focused,\n      'hover-state': showProgress,\n      'btn-large': large,\n      'btn-small': small\n    }\"\n    [disabled]=\"shouldBeDisabled\"\n    (click)=\"clickedButton($event)\"\n  >\n    <div class=\"btn-icon-show\">\n      <div\n        class=\"btn-txt\"\n        [ngClass]=\"{\n          'btn-show-icn': showIcon,\n          'btn-stroke-color': isStroked,\n          'btn-contained-color': isContained,\n          'btn-progress': !showProgress,\n          'btn-notprogress': showProgress,\n          'btn-txt-small': small\n        }\"\n      >\n        <ng-content></ng-content>\n      </div>\n\n      <div\n        class=\"btn-spin\"\n        [ngClass]=\"{\n          'btn-spin-stroke': isStroked,\n          'btn-spin-contained': isContained,\n          'btn-progress': !showProgress,\n          'btn-notprogress': showProgress\n        }\"\n        *ngIf=\"showIcon\"\n      >\n        <img src=\"./../../assets/icons/Bag_Icon.svg\" />\n      </div>\n      <div\n        class=\"btn-spin\"\n        [ngStyle]=\"{ 'width.px': btnWidth }\"\n        [ngClass]=\"{\n          'btn-spin-stroke': isStroked,\n          'btn-spin-contained': isContained,\n          'btn-notprogress': !showProgress,\n          'btn-progress': showProgress\n        }\"\n      >\n        <img\n          *ngIf=\"isContained\"\n          class=\"btn-spinner\"\n          style=\"width: 50px\"\n          src=\"../../../assets/icons/loader-white-1.gif\"\n        />\n        <img\n          *ngIf=\"isStroked && theme === 'primary'\"\n          class=\"btn-spinner\"\n          style=\"width: 50px\"\n          src=\"../../../assets/icons/loader-green.gif\"\n        />\n        <img\n          *ngIf=\"isStroked && theme === 'accent'\"\n          class=\"btn-spinner\"\n          style=\"width: 50px\"\n          src=\"../../../assets/icons/loader-blue.gif\"\n        />\n        <!-- <mat-progress-spinner\n  class=\"btn-spinner\"\n  [ngClass]=\"{'c-button__spinner--active': showProgress && !shouldBeDisabled}\"\n  diameter=\"21\"\n  mode=\"indeterminate\"\n></mat-progress-spinner> -->\n      </div>\n    </div>\n  </button>\n</div>\n",
        styles: [".btn-nitrozen{height:48px;border-radius:3px;cursor:pointer;padding:0 40px;box-shadow:none}.hover-state{pointer-events:none}.btn-large{height:48px!important;padding:0 40px!important}.btn-small{height:40px!important;padding:0 20px!important}.btn-notprogress{opacity:0;transition:opacity .25s ease-out;position:absolute;top:50%;left:50%;transform:translate(-50%,-50%)}.fx-wt{width:66.38px}.primary-section .mat-flat-button.btn-focused{text-decoration:underline;color:#fff;text-underline-position:under}.primary-section .mat-stroked-button.btn-focused{text-decoration:underline;color:#36cc9b;text-underline-position:under}.primary-section .mat-flat-button{background-color:#36cc9b}.primary-section .mat-flat-button:hover:not([disabled]){background-color:#2eb589}.primary-section .mat-flat-button:focus{text-decoration:underline;color:#fff;text-underline-position:under}.primary-section .mat-stroked-button{border:1px solid #36cc9b}.primary-section .mat-stroked-button:hover:not([disabled]){background-color:rgba(54,204,155,.12)}.primary-section .mat-stroked-button:focus{text-decoration:underline;color:#45cc9b;text-underline-position:under}.primary-section .btn-spin-stroke .mat-spinner circle,.primary-section .btn-spin-stroke ::ng-deep .mat-progress-spinner circle{stroke:#fff}.primary-section .btn-spin-contained .mat-spinner circle,.primary-section .btn-spin-contained ::ng-deep .mat-progress-spinner circle{stroke:#fff}.primary-section .mat-flat-button:disabled,.primary-section .mat-flat-button[disabled=disabled]{background-color:rgba(54,204,155,.4)!important}.primary-section .btn-txt{font-family:Poppins;font-size:16px;font-weight:700;line-height:25px;text-align:center}.primary-section .btn-txt-small{font-family:Poppins;font-size:14px;font-weight:600;line-height:25px;text-align:center}.primary-section .btn-stroke-color{color:#36cc9b}.primary-section .btn-contained-color{color:#fff}.primary-section .btn-spinner{text-align:center}.primary-section .btn-spin{display:flex;justify-content:center}.primary-section .btn-fynd-icon{height:48px;width:190px;border-radius:3px;background-color:#36cc9b}.primary-section .btn-fynd-icon:hover:not([disabled]){background-color:#2eb589}.primary-section .btn-fynd-icon:focus{text-decoration:underline;color:#fff;text-underline-position:under}.primary-section .btn-show-icn{padding-left:10px}.primary-section .btn-icon-show{display:flex;flex-direction:row-reverse;justify-content:center}.secondary-section .mat-flat-button.btn-focused{text-decoration:underline;color:#fff;text-underline-position:under}.secondary-section .mat-stroked-button.btn-focused{text-decoration:underline;color:#5c6bdd;text-underline-position:under}.secondary-section .mat-flat-button{background-color:#5c6bdd}.secondary-section .mat-flat-button:hover:not([disabled]){background-color:#4f5ecc}.secondary-section .mat-flat-button:focus{text-decoration:underline;color:#fff;text-underline-position:under}.secondary-section .mat-stroked-button{border:1px solid #5c6bdd}.secondary-section .mat-stroked-button:hover:not([disabled]){background-color:rgba(79,94,204,.12)}.secondary-section .mat-stroked-button:focus{text-decoration:underline;color:#5c6bdd;text-underline-position:under}.secondary-section .btn-spin-stroke .mat-spinner circle,.secondary-section .btn-spin-stroke ::ng-deep .mat-progress-spinner circle{stroke:#5c6bdd}.secondary-section .btn-spin-contained .mat-spinner circle,.secondary-section .btn-spin-contained ::ng-deep .mat-progress-spinner circle{stroke:#fff}.secondary-section .mat-flat-button:disabled,.secondary-section .mat-flat-button[disabled=disabled]{background-color:rgba(92,107,221,.4)!important}.secondary-section .btn-txt{font-family:Poppins;font-size:16px;font-weight:700;line-height:25px;text-align:center}.secondary-section .btn-stroke-color{color:#5c6bdd}.secondary-section .btn-contained-color{color:#fff}.secondary-section .btn-spinner{text-align:center}.secondary-section .btn-spin{display:flex;justify-content:center}.secondary-section .btn-fynd-icon{height:48px;width:190px;border-radius:3px;background-color:#5c6bdd}.secondary-section .btn-fynd-icon:hover:not([disabled]){background-color:#2eb589}.secondary-section .btn-fynd-icon:focus{text-decoration:underline;color:#fff;text-underline-position:under}.secondary-section .btn-show-icn{padding-left:10px}.secondary-section .btn-icon-show{display:flex;flex-direction:row-reverse;justify-content:center}"]
    })
], ButtonComponent);

let ButtonModule = class ButtonModule {
};
ButtonModule = __decorate([
    NgModule({
        declarations: [ButtonComponent],
        imports: [CommonModule, MatButtonModule, MatProgressSpinnerModule],
        exports: [ButtonComponent, MatButtonModule, MatProgressSpinnerModule],
    })
], ButtonModule);

let ButtonTextComponent = class ButtonTextComponent {
    constructor() {
        this.clicked = new EventEmitter();
    }
    ngOnInit() {
        // this.type = this.type ? this.type : '';
    }
    clickedButton(event) {
        this.clicked.emit(event);
    }
};
__decorate([
    Input()
], ButtonTextComponent.prototype, "shouldBeDisabled", void 0);
__decorate([
    Input()
], ButtonTextComponent.prototype, "theme", void 0);
__decorate([
    Input()
], ButtonTextComponent.prototype, "focused", void 0);
__decorate([
    Input()
], ButtonTextComponent.prototype, "prefixIcon", void 0);
__decorate([
    Input()
], ButtonTextComponent.prototype, "postfixIcon", void 0);
__decorate([
    Input()
], ButtonTextComponent.prototype, "type", void 0);
__decorate([
    Output()
], ButtonTextComponent.prototype, "clicked", void 0);
ButtonTextComponent = __decorate([
    Component({
        selector: 'nitrozen-button-text',
        template: "<div [ngClass]=\"{\n    'primary-section': theme === 'primary' ,\n    'secondary-section': theme === 'accent',\n    'warn-section':theme === 'warn'\n  }\">\n  <div>\n<button [ngClass]=\"{'btn-focused':focused,'btn-warn-thm':theme === 'warn','btn-prim-thm':theme === 'primary'}\" mat-button  (click)=\"clickedButton($event)\"  [disabled]=\"shouldBeDisabled\">\n\t<div>\n\t\t<span class=\"btn-spin\" *ngIf=\"prefixIcon\">\n  <img src=\"./../../assets/icons/arrow-icon.svg\">\n</span>\n\t<span class=\"btn-txt\" [ngClass]=\"{\n    'primary-section': theme === 'primary' ,\n    'secondary-section': theme === 'accent',\n    'warn-section':theme === 'warn'\n  }\">\n    <ng-content></ng-content>\n  </span>\n    <span class=\"btn-spin-post\" *ngIf=\"postfixIcon\">\n  <img src=\"./../../assets/icons/arrow-icon.svg\">\n</span>\n   \n</div>\n</button>\n</div>\n</div>\n",
        styles: [".btn-txt{color:#4f5ecc;font-family:Poppins;font-size:16px;font-weight:700;text-align:center}button:disabled,button[disabled=disabled]{color:rgba(92,107,221,.5)!important;opacity:.5}.btn-text,.primary-section{color:#36cc9b!important}.btn-prim-thm:focus{text-decoration:underline;color:#36cc9b!important;text-underline-position:under}.warn-section .btn-txt{color:#fb406b!important;font-weight:700}.btn-warn-thm:focus{text-decoration:underline;color:#fb406b!important;text-underline-position:under}.mat-button{height:48px}.mat-button:hover{background-color:transparent!important}.btn-focused,.mat-button:focus{text-decoration:underline;color:#4f5ecc;text-underline-position:under}.btn-spin{padding-right:8px}.btn-spin-post{padding-left:8px}.hover-state{pointer-events:none}img{width:14px;height:12px}"]
    })
], ButtonTextComponent);

let ButtonTextModule = class ButtonTextModule {
};
ButtonTextModule = __decorate([
    NgModule({
        declarations: [ButtonTextComponent],
        imports: [CommonModule, MatButtonModule, MatProgressSpinnerModule],
        exports: [ButtonTextComponent, MatButtonModule, MatProgressSpinnerModule],
    })
], ButtonTextModule);

let CheckboxComponent = class CheckboxComponent {
    constructor() {
        /**
         * Define if the checkbox is disabled
         */
        this.disabled = false;
        /**
         * Define if the checkbox should be indeterminate
         */
        this.indeterminate = false;
        this.change = new EventEmitter();
    }
    ngOnInit() {
    }
    onCheckboxStateChanged(e) {
        console.log(e);
        this.change.emit(e);
    }
};
__decorate([
    Input()
], CheckboxComponent.prototype, "checked", void 0);
__decorate([
    Input()
], CheckboxComponent.prototype, "disabled", void 0);
__decorate([
    Input()
], CheckboxComponent.prototype, "indeterminate", void 0);
__decorate([
    Output()
], CheckboxComponent.prototype, "change", void 0);
CheckboxComponent = __decorate([
    Component({
        selector: 'nitrozen-checkbox',
        template: "<mat-checkbox \nclass=\"nitro-checkbox\" \n[checked]=\"checked\" \n[indeterminate]=\"indeterminate\"\n[disabled]=\"disabled\"\n(change)=\"onCheckboxStateChanged($event)\">\n\n\n<ng-content></ng-content>\n\n</mat-checkbox>",
        styles: [""]
    })
], CheckboxComponent);

let CheckboxModule = class CheckboxModule {
};
CheckboxModule = __decorate([
    NgModule({
        declarations: [CheckboxComponent],
        imports: [CommonModule, MatCheckboxModule],
        exports: [CheckboxComponent, MatCheckboxModule],
    })
], CheckboxModule);

let RadioButtonComponent = class RadioButtonComponent {
    constructor() {
        /**
         * Define if the checkbox is disabled
         */
        this.disabled = false;
        this.change = new EventEmitter();
    }
    ngOnInit() {
    }
    onRadioButtonStateChanged(e) {
        console.log(e);
        this.change.emit(e);
    }
};
__decorate([
    Input()
], RadioButtonComponent.prototype, "selected", void 0);
__decorate([
    Input()
], RadioButtonComponent.prototype, "disabled", void 0);
__decorate([
    Output()
], RadioButtonComponent.prototype, "change", void 0);
RadioButtonComponent = __decorate([
    Component({
        selector: 'nitrozen-radio-button',
        template: " <mat-radio-button color=\"primary\"\n[disabled]=\"disabled\"\n(change)=\"onRadioButtonStateChanged($event)\">\n\n\n<ng-content></ng-content>\n</mat-radio-button>  \n",
        styles: ["::ng-deep .mat-radio-label-content{padding-left:12px!important;font-family:Poppins!important}"]
    })
], RadioButtonComponent);

let RadioButtonModule = class RadioButtonModule {
};
RadioButtonModule = __decorate([
    NgModule({
        declarations: [RadioButtonComponent],
        imports: [CommonModule, MatRadioModule],
        exports: [RadioButtonComponent, MatRadioModule],
    })
], RadioButtonModule);

var InputTypes;
(function (InputTypes) {
    InputTypes["text"] = "text";
    InputTypes["number"] = "number";
    InputTypes["password"] = "password";
    InputTypes["textarea"] = "textarea";
})(InputTypes || (InputTypes = {}));

let nextId = 0;
const INPUT_VALUE_ACCESSOR = {
    provide: NG_VALUE_ACCESSOR,
    useExisting: forwardRef(() => InputComponent),
    multi: true
};
const INPUT_VALIDATORS = {
    provide: NG_VALIDATORS,
    useExisting: forwardRef(() => InputComponent),
    multi: true
};
let InputComponent = class InputComponent {
    constructor(cd) {
        this.cd = cd;
        this.label = '';
        this.type = InputTypes.text;
        this.blocked = false;
        this.placeholder = '';
        this.disabled = false;
        this.search = false;
        this.showSuccess = false;
        this.noneditable = false;
        this.required = false;
        this.requiredIndicator = '*';
        this.tooltip = false;
        this.passwordToggleEnabled = false;
        this.passwordTextVisible = false;
        this.autoSelect = false;
        this.autofocus = false;
        this.autocomplete = false;
        this.autocorrect = false;
        this.spellcheck = false;
        this.change = new EventEmitter();
        this.blur = new EventEmitter();
        this.focus = new EventEmitter();
        this.keyup = new EventEmitter();
        this.click = new EventEmitter();
        this.getHostCssClasses = 'ngx-input';
        this.focused = false;
        this.onTouchedCallback = () => {
            // placeholder
        };
        this.onChangeCallback = () => {
            // placeholder
        };
    }
    get value() {
        return this._value;
    }
    set value(val) {
        if (val !== this._value) {
            this._value = val;
            this.onChangeCallback(this._value);
        }
    }
    get focusedOrDirty() {
        if (this.focused) {
            return true;
        }
        if (typeof this.value === 'string') {
            return this.value && this.value.length;
        }
        return typeof this.value !== 'undefined' && this.value !== null;
    }
    get isTouched() {
        return this.inputModel ? this.inputModel.touched : false;
    }
    get labelState() {
        if (this.placeholder)
            return 'outside';
        if (this.focusedOrDirty)
            return 'outside';
        return 'inside';
    }
    get underlineState() {
        if (this.focused)
            return 'expanded';
        return 'collapsed';
    }
    get requiredIndicatorView() {
        if (!this.requiredIndicator || !this.required)
            return '';
        return this.requiredIndicator;
    }
    get element() {
        if (this.type === InputTypes.textarea)
            return this.textareaControl;
        return this.inputControl;
    }
    validate(c) {
        if (this.type !== 'number') {
            return null;
        }
        return Object.assign(Object.assign({}, Validators.max(this.max)(c)), Validators.min(this.min)(c));
    }
    ngOnInit() {
        if (!this.value)
            this.value = '';
    }
    ngAfterViewInit() {
        if (this.autofocus) {
            setTimeout(() => {
                this.element.nativeElement.focus();
            });
        }
        // sometimes the label doesn't update on load
        setTimeout(() => this.cd.markForCheck());
    }
    ngOnChanges(changes) {
        if ('max' in changes || 'min' in changes) {
            this.onChangeCallback(this._value);
        }
    }
    onChange(event) {
        event.stopPropagation();
        this.change.emit(this.value);
    }
    onKeyUp(event) {
        event.stopPropagation();
        this.keyup.emit(event);
    }
    onFocus(event) {
        event.stopPropagation();
        if (this.autoSelect) {
            setTimeout(() => {
                this.element.nativeElement.select();
            });
        }
        this.focused = true;
        this.focus.emit(event);
        this.onTouchedCallback();
    }
    onBlur(event) {
        event.stopPropagation();
        this.focused = false;
        this.blur.emit(event);
    }
    writeValue(val) {
        if (val !== this._value) {
            this._value = val;
        }
    }
    registerOnChange(fn) {
        this.onChangeCallback = fn;
    }
    registerOnTouched(fn) {
        this.onTouchedCallback = fn;
    }
    togglePassword() {
        this.passwordTextVisible = !this.passwordTextVisible;
        setTimeout(() => {
            if (this.passwordTextVisible) {
                this.passwordControl.nativeElement.focus();
            }
            else {
                this.element.nativeElement.focus();
            }
        });
    }
    setDisabledState(isDisabled) {
        this.disabled = isDisabled;
    }
};
InputComponent.ctorParameters = () => [
    { type: ChangeDetectorRef }
];
__decorate([
    Input()
], InputComponent.prototype, "id", void 0);
__decorate([
    Input()
], InputComponent.prototype, "name", void 0);
__decorate([
    Input()
], InputComponent.prototype, "label", void 0);
__decorate([
    Input()
], InputComponent.prototype, "type", void 0);
__decorate([
    Input()
], InputComponent.prototype, "hint", void 0);
__decorate([
    Input()
], InputComponent.prototype, "error", void 0);
__decorate([
    Input()
], InputComponent.prototype, "blocked", void 0);
__decorate([
    Input()
], InputComponent.prototype, "success", void 0);
__decorate([
    Input()
], InputComponent.prototype, "placeholder", void 0);
__decorate([
    Input()
], InputComponent.prototype, "disabled", void 0);
__decorate([
    Input()
], InputComponent.prototype, "tabindex", void 0);
__decorate([
    Input()
], InputComponent.prototype, "search", void 0);
__decorate([
    Input()
], InputComponent.prototype, "showSuccess", void 0);
__decorate([
    Input()
], InputComponent.prototype, "righttext", void 0);
__decorate([
    Input()
], InputComponent.prototype, "toolmsg", void 0);
__decorate([
    Input()
], InputComponent.prototype, "pattern", void 0);
__decorate([
    Input()
], InputComponent.prototype, "noneditable", void 0);
__decorate([
    Input()
], InputComponent.prototype, "min", void 0);
__decorate([
    Input()
], InputComponent.prototype, "max", void 0);
__decorate([
    Input()
], InputComponent.prototype, "minlength", void 0);
__decorate([
    Input()
], InputComponent.prototype, "maxlength", void 0);
__decorate([
    Input()
], InputComponent.prototype, "required", void 0);
__decorate([
    Input()
], InputComponent.prototype, "requiredIndicator", void 0);
__decorate([
    Input()
], InputComponent.prototype, "tooltip", void 0);
__decorate([
    Input()
], InputComponent.prototype, "passwordToggleEnabled", void 0);
__decorate([
    Input()
], InputComponent.prototype, "passwordTextVisible", void 0);
__decorate([
    Input()
], InputComponent.prototype, "autoSelect", void 0);
__decorate([
    Input()
], InputComponent.prototype, "autofocus", void 0);
__decorate([
    Input()
], InputComponent.prototype, "autocomplete", void 0);
__decorate([
    Input()
], InputComponent.prototype, "autocorrect", void 0);
__decorate([
    Input()
], InputComponent.prototype, "spellcheck", void 0);
__decorate([
    Output()
], InputComponent.prototype, "change", void 0);
__decorate([
    Output()
], InputComponent.prototype, "blur", void 0);
__decorate([
    Output()
], InputComponent.prototype, "focus", void 0);
__decorate([
    Output()
], InputComponent.prototype, "keyup", void 0);
__decorate([
    Output()
], InputComponent.prototype, "click", void 0);
__decorate([
    HostBinding('class')
], InputComponent.prototype, "getHostCssClasses", void 0);
__decorate([
    HostBinding('class.ng-dirty')
], InputComponent.prototype, "focusedOrDirty", null);
__decorate([
    HostBinding('class.ng-touched')
], InputComponent.prototype, "isTouched", null);
__decorate([
    ViewChild('inputControl')
], InputComponent.prototype, "inputControl", void 0);
__decorate([
    ViewChild('inputModel')
], InputComponent.prototype, "inputModel", void 0);
__decorate([
    ViewChild('textareaControl')
], InputComponent.prototype, "textareaControl", void 0);
__decorate([
    ViewChild('passwordControl')
], InputComponent.prototype, "passwordControl", void 0);
InputComponent = __decorate([
    Component({
        selector: 'nitrozen-input',
        providers: [INPUT_VALUE_ACCESSOR, INPUT_VALIDATORS],
        encapsulation: ViewEncapsulation.None,
        animations: [
            trigger('labelState', [
                state('inside', style({
                    'font-size': '1em',
                    top: '0'
                })),
                state('outside', style({
                    'font-size': '.7rem',
                    top: '-15px'
                })),
                transition('inside => outside', animate('150ms ease-out')),
                transition('outside => inside', animate('150ms ease-out'))
            ]),
            trigger('underlineState', [
                state('collapsed', style({
                    width: '0%'
                })),
                state('expanded', style({
                    width: '100%'
                })),
                transition('collapsed => expanded', animate('150ms ease-out')),
                transition('expanded => collapsed', animate('150ms ease-out'))
            ])
        ],
        template: "<div class=\"nitro-input-wrap\" [ngClass]=\"{'input-noneditable':noneditable}\">\n      <div class=\"ngx-input-flex-wrap\">\n         \n        <div class=\"nitro-input-flex-wrap-inner\">\n          <div class=\"nitro-input-box-wrap\">\n            <div class=\"prefix-icon\">\n            <ng-content select=\"nitrozen-input-prefix\"></ng-content>\n          </div>\n            <textarea [ngClass]=\"{'search-txt': search }\"\n              *ngIf=\"type === 'textarea'\"\n              class=\"ngx-input-textarea\"\n              rows=\"1\"\n              autosize\n              [(ngModel)]=\"value\"\n              [id]=\"id\"\n              [name]=\"name\"\n              [pattern]=\"pattern\"\n              [placeholder]=\"placeholder\"\n              [disabled]=\"disabled\"\n              [attr.tabindex]=\"tabindex\"\n              [attr.autocomplete]=\"autocomplete\"\n              [attr.autocorrect]=\"autocorrect\"\n              [attr.spellcheck]=\"spellcheck\"\n              [minlength]=\"minlength\"\n              [maxlength]=\"maxlength\"\n              [required]=\"required\"\n              (change)=\"onChange($event)\"\n              (keyup)=\"onKeyUp($event)\"\n              (focus)=\"onFocus($event)\"\n              (blur)=\"onBlur($event)\"\n              (click)=\"click.emit($event)\"\n              #inputModel=\"ngModel\"\n              #textareaControl\n            >\n            </textarea>\n            <input [ngClass]=\"{'search-txt': search,'blocked':blocked }\"\n              *ngIf=\"type !== 'textarea'\"\n              class=\"ngx-input-box\"\n              [(ngModel)]=\"value\"\n              [hidden]=\"passwordTextVisible\"\n              [id]=\"id\"\n              [name]=\"name\"\n              [placeholder]=\"placeholder\"\n              [disabled]=\"disabled\"\n              [type]=\"type\"\n              [pattern]=\"pattern\"\n              [min]=\"'' + min\"\n              [max]=\"'' + max\"\n              [minlength]=\"minlength\"\n              [maxlength]=\"maxlength\"\n              [attr.tabindex]=\"tabindex\"\n              [attr.autocomplete]=\"autocomplete\"\n              [attr.autocorrect]=\"autocorrect\"\n              [attr.spellcheck]=\"spellcheck\"\n              (change)=\"onChange($event)\"\n              (keyup)=\"onKeyUp($event)\"\n              (focus)=\"onFocus($event)\"\n              (blur)=\"onBlur($event)\"\n              (click)=\"click.emit($event)\"\n              [required]=\"required\"\n              #inputModel=\"ngModel\"\n              #inputControl\n            />\n            <input [ngClass]=\"{'search-txt': search }\"\n              *ngIf=\"passwordToggleEnabled\"\n              [hidden]=\"!passwordTextVisible\"\n              type=\"text\"\n              class=\"ngx-input-box\"\n              type=\"text\"\n              [id]=\"id + '-password'\"\n              [placeholder]=\"placeholder\"\n              [name]=\"name\"\n              [pattern]=\"pattern\"\n              [disabled]=\"disabled\"\n              [minlength]=\"minlength\"\n              [maxlength]=\"maxlength\"\n              [attr.autocomplete]=\"autocomplete\"\n              [attr.autocorrect]=\"autocorrect\"\n              [attr.spellcheck]=\"spellcheck\"\n              [attr.tabindex]=\"tabindex\"\n              [(ngModel)]=\"value\"\n              (change)=\"onChange($event)\"\n              (keyup)=\"onKeyUp($event)\"\n              (focus)=\"onFocus($event)\"\n              (blur)=\"onBlur($event)\"\n              (click)=\"click.emit($event)\"\n              [required]=\"required\"\n              #inputTextModel=\"ngModel\"\n              #passwordControl\n            />\n            <span\n              *ngIf=\"type === 'password' && passwordToggleEnabled\"\n              class=\"icon-eye\"\n              title=\"Toggle Text Visibility\"\n              (click)=\"togglePassword()\"\n            >\n            </span>\n            <div class=\"nitro-input-label\">\n            <span [innerHTML]=\"label\"></span> <span class=\"required-indicator\" [innerHTML]=\"requiredIndicatorView\"></span>\n             <span class=\"nitro-tool\" [matTooltipPosition]=\"'above'\" matTooltipClass='input-tooltip' matTooltip=\"{{toolmsg}}\" [hidden]=\"!tooltip\"> <img src=\"../../../assets/icons/tooltip.svg\"></span>\n          </div>\n            <div class=\"suffix-icon\">\n             <ng-content select=\"nitrozen-input-suffix\"></ng-content>\n           </div>\n          </div>\n         \n        </div>\n       \n      </div>\n      <!-- <div class=\"ngx-input-underline\">\n        <div class=\"underline-fill\"></div>\n      </div> -->\n      <div class=\"ngx-input-hint\" *ngIf=\"hint\">\n        <!-- <ng-content select=\"ngx-input-hint\"></ng-content> -->\n        <span  [innerHTML]=\"hint\"></span>\n      </div>\n      <div class=\"nitro-cmp\">\n        <div>\n      <div class=\"nitro-input-error\" [ngClass]=\"{'is-focused':focused}\" *ngIf=\"error\">\n        <!-- <ng-content select=\"ngx-input-hint\"></ng-content> -->\n        <span  [innerHTML]=\"error\"></span>\n      </div>\n       <div class=\"nitro-input-success\" *ngIf=\"success\">\n        <!-- <ng-content select=\"ngx-input-hint\"></ng-content> -->\n        <div class=\"nito-ss-img\" *ngIf=\"showSuccess\">\n        <img src=\"../../../assets/icons/check-circle.svg\">\n        </div>\n        <div class=\"ss-txt\" *ngIf=\"showSuccess\">\n        <span  [innerHTML]=\"success\"></span>\n      </div>\n    </div>\n  </div>\n  <div class=\"ngx-input-hint\" *ngIf=\"righttext\">\n    <span  [innerHTML]=\"righttext\"></span>\n  </div>\n      </div>\n    </div>\n\n\n\n",
        styles: [".nitro-input-label{color:#9b9b9b;font-family:Poppins;font-size:12px;font-weight:500;line-height:21px;padding-bottom:4px}.nitro-tool{width:24px;height:24px;text-align:center;padding-left:4px}.input-noneditable{opacity:.4;pointer-events:none}input{height:36px;border:1px solid #d7d7d7;border-radius:4px;background-color:#fff;outline:0;color:#41434c;font-family:Poppins;font-size:14px;line-height:21px;padding-left:5px;width:100%}input:focus{box-shadow:none;border:1px solid #5c6bdd!important;border-radius:3px;background-color:#fff}input:focus+.nitro-input-label{color:#5c6bdd!important;font-weight:600!important}.is-focused{display:none!important}.nitro-cmp{display:flex;justify-content:space-between}textarea{box-sizing:border-box;height:96px;border:1px solid #d7d7d7;border-radius:4px;background-color:#fff;outline:0;color:#41434c;font-family:Poppins;font-size:14px;line-height:21px;padding-left:12px;padding-top:6px;width:100%}textarea:focus{box-shadow:none;border:1px solid #5c6bdd;border-radius:3px;background-color:#fff}textarea:focus+.nitro-input-label{color:#5c6bdd}.ss-txt{padding-left:5px}.suffix-icon{position:absolute;right:0;top:35px;width:24px;height:24px;text-align:center;cursor:pointer}.nito-ss-img{line-height:28px}.blocked{background-color:#f3f3f3;pointer-events:none}.prefix-icon{position:absolute;left:5px;top:35px;width:24px;height:24px;text-align:center}.search-txt{padding-left:28px;width:97.5%!important}.nitro-input-box-wrap{display:flex;position:relative;flex-direction:column-reverse}::-moz-placeholder{color:#a4a4a4;font-family:Poppins;font-size:12px;line-height:21px}::placeholder{color:#a4a4a4;font-family:Poppins;font-size:12px;line-height:21px}:-ms-input-placeholder{color:#a4a4a4;font-family:Poppins;font-size:12px;line-height:21px}::-ms-input-placeholder{color:#a4a4a4;font-family:Poppins;font-size:12px;line-height:21px}.nitro-input-flex-wrap-inner{padding-top:4px}.ngx-input{width:100%}.ngx-input ngx-input-prefix{margin-right:8px}.ngx-input ngx-input-suffix{margin-left:8px}.ngx-input .nitro-input-wrap .ngx-input-box-wrap{position:relative;width:100%}.ngx-input .nitro-input-wrap .ngx-input-box-wrap:focus{outline:0}.ngx-input .nitro-input-wrap .ngx-input-box-wrap .ngx-input-box,.ngx-input .nitro-input-wrap .ngx-input-box-wrap .ngx-input-textarea{height:40px;border:1px solid #d7d7d7;border-radius:4px;background-color:#fff;outline:0;color:#41434c;font-family:Poppins;font-size:14px;line-height:21px;padding-left:12px;width:100%}.ngx-input .nitro-input-wrap .ngx-input-box-wrap .ngx-input-box:focus,.ngx-input .nitro-input-wrap .ngx-input-box-wrap .ngx-input-textarea:focus{box-shadow:none;border:1px solid #5c6bdd!important;border-radius:3px;background-color:#fff}.ngx-input .nitro-input-wrap .ngx-input-box-wrap .ngx-input-box[disabled],.ngx-input .nitro-input-wrap .ngx-input-box-wrap .ngx-input-textarea[disabled]{color:grey;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none}.ngx-input .nitro-input-wrap .ngx-input-box-wrap .ngx-input-box{margin:3px 0}.ngx-input .nitro-input-wrap .ngx-input-box-wrap .ngx-input-textarea{resize:none}.ngx-input .nitro-input-wrap .ngx-input-box-wrap .icon-eye{line-height:25px;top:0;bottom:0;position:absolute;right:10px;cursor:pointer;font-size:.8rem;color:#00f;transition:color .1s}.ngx-input .nitro-input-wrap .ngx-input-box-wrap .icon-eye:hover{color:red}.ngx-input .nitro-input-wrap .ngx-input-label{pointer-events:none;position:absolute;font-size:16px}.ngx-input .nitro-input-wrap .ngx-input-underline{width:100%;height:1px;background-color:#ff0}.ngx-input .nitro-input-wrap .ngx-input-underline .underline-fill{background-color:#00f;width:100%;height:2px;margin:0 auto}.ngx-input .nitro-input-wrap .nitro-input-error{display:none}.ngx-input .nitro-input-wrap .ngx-input-hint{color:#9b9b9b;font-family:Poppins;font-size:12px;font-weight:500;line-height:21px;padding-top:4px}.ngx-input .nitro-input-wrap .nitro-input-success{color:#36cc9b;font-family:Poppins;font-size:12px;line-height:21px;display:flex;padding-top:4px}.ngx-input.invalid.ng-touched .ngx-input-box,.ngx-input.invalid.ng-touched .ngx-input-textarea,.ngx-input.ng-invalid.ng-dirty .ngx-input-box,.ngx-input.ng-invalid.ng-dirty .ngx-input-textarea,.ngx-input.ng-invalid.ng-touched .ngx-input-box,.ngx-input.ng-invalid.ng-touched .ngx-input-textarea{border:1px solid #fa3f4d}.ngx-input.invalid.ng-touched .nitro-input-label,.ngx-input.ng-invalid.ng-dirty .nitro-input-label,.ngx-input.ng-invalid.ng-touched .nitro-input-label{font-weight:600;color:#fa3f4d}.ngx-input.invalid.ng-touched .ngx-input-hint,.ngx-input.ng-invalid.ng-dirty .ngx-input-hint,.ngx-input.ng-invalid.ng-touched .ngx-input-hint{color:#fa3f4d;display:none}.ngx-input.invalid.ng-touched .nitro-input-error,.ngx-input.ng-invalid.ng-dirty .nitro-input-error,.ngx-input.ng-invalid.ng-touched .nitro-input-error{display:block;color:#fa3f4d;font-family:Poppins;font-size:12px;line-height:18px;padding-top:4px}.ngx-input.invalid.ng-touched .nitro-input-success,.ngx-input.ng-invalid.ng-dirty .nitro-input-success,.ngx-input.ng-invalid.ng-touched .nitro-input-success{display:none}"]
    })
], InputComponent);

let InputSuffixComponent = class InputSuffixComponent {
};
InputSuffixComponent = __decorate([
    Component({
        selector: 'nitrozen-input-suffix',
        template: `
    <ng-content></ng-content>
  `
    })
], InputSuffixComponent);

let InputPrefixComponent = class InputPrefixComponent {
};
InputPrefixComponent = __decorate([
    Component({
        selector: 'nitrozen-input-prefix',
        template: `
    <ng-content></ng-content>
  `
    })
], InputPrefixComponent);

let InputModule = class InputModule {
};
InputModule = __decorate([
    NgModule({
        declarations: [InputComponent, InputSuffixComponent, InputPrefixComponent],
        imports: [
            CommonModule,
            MatInputModule,
            MatProgressSpinnerModule,
            FormsModule,
            ReactiveFormsModule,
            MatSlideToggleModule,
            MatTooltipModule,
        ],
        exports: [
            InputComponent,
            InputSuffixComponent,
            InputPrefixComponent,
            MatInputModule,
            FormsModule,
            ReactiveFormsModule,
            MatProgressSpinnerModule,
            MatSlideToggleModule,
            MatTooltipModule,
        ],
    })
], InputModule);

let SearchableSelectComponent = class SearchableSelectComponent {
    constructor() {
        this.destroy$ = new Subject();
        this.selectCtrl = new FormControl();
        this.selectFilterCtrl = new FormControl();
        this.customClass = "";
        this.isColumnHeader = true;
        this.placeholder = "Select";
        this.label = this.placeholder;
        this.displayName = "name";
        this.id = "id";
        this.isMultiple = false;
        this.isSearch = true;
        this.isSortSelected = false;
        this.change = new EventEmitter();
        this.optionListObject = {};
    }
    ngOnInit() {
        this.filteredoptions = this.options;
        this.selectCtrl.setValue(this.value);
        this.options.forEach((option) => {
            this.optionListObject[option[this.id]] = option;
        });
        this.selectFilterCtrl.valueChanges
            .pipe(takeUntil(this.destroy$))
            .subscribe(() => {
            this.filterOptions();
        });
        this.selectCtrl.valueChanges
            .pipe(takeUntil(this.destroy$))
            .subscribe((event) => {
            if (!this.isMultiple) {
                this.change.emit({
                    value: this.selectCtrl.value,
                    objectValue: this.optionListObject[this.selectCtrl.value],
                });
            }
        });
    }
    ngOnChanges(event) {
        if (event.value) {
            this.selectCtrl.setValue(event.value.currentValue, { emitEvent: false });
        }
        if (event.options) {
            this.options = event.options.currentValue;
            this.filteredoptions = this.options;
            this.options.forEach((option) => {
                this.optionListObject[option[this.id]] = option;
            });
        }
    }
    submitOptions() {
        let objectValue = this.getArrayValueObjects(this.selectCtrl.value);
        this.change.emit({
            value: this.selectCtrl.value,
            objectValue,
        });
        this.select.close();
        if (this.isSortSelected === true) {
            objectValue.forEach((item) => {
                this.options.splice(this.options.indexOf(item), 1);
                this.options.unshift(item);
            });
        }
    }
    clearOptions() {
        this.selectCtrl.setValue([]);
        this.change.emit({
            value: [],
            objectValue: [],
        });
        this.select.close();
    }
    getArrayValueObjects(value) {
        let objectValue = [];
        value.forEach((selectedValue) => {
            objectValue.push(this.optionListObject[selectedValue]);
        });
        return objectValue;
    }
    filterOptions() {
        if (!this.options) {
            return;
        }
        // get the search keyword
        let search = this.selectFilterCtrl.value;
        if (!search) {
            this.filteredoptions = this.options.slice();
            return;
        }
        else {
            search = search.toLowerCase();
        }
        // filter the options
        this.filteredoptions = this.options.filter((option) => option[this.displayName].toLowerCase().indexOf(search) > -1);
    }
    selectAllChanged(event) {
        //  console.log(event);
        // alert(event);
    }
};
__decorate([
    ViewChild("select")
], SearchableSelectComponent.prototype, "select", void 0);
__decorate([
    Input()
], SearchableSelectComponent.prototype, "customClass", void 0);
__decorate([
    Input()
], SearchableSelectComponent.prototype, "isColumnHeader", void 0);
__decorate([
    Input()
], SearchableSelectComponent.prototype, "placeholder", void 0);
__decorate([
    Input()
], SearchableSelectComponent.prototype, "label", void 0);
__decorate([
    Input()
], SearchableSelectComponent.prototype, "value", void 0);
__decorate([
    Input()
], SearchableSelectComponent.prototype, "options", void 0);
__decorate([
    Input()
], SearchableSelectComponent.prototype, "displayName", void 0);
__decorate([
    Input()
], SearchableSelectComponent.prototype, "id", void 0);
__decorate([
    Input()
], SearchableSelectComponent.prototype, "isMultiple", void 0);
__decorate([
    Input()
], SearchableSelectComponent.prototype, "isSearch", void 0);
__decorate([
    Input()
], SearchableSelectComponent.prototype, "isSortSelected", void 0);
__decorate([
    Output()
], SearchableSelectComponent.prototype, "change", void 0);
SearchableSelectComponent = __decorate([
    Component({
        selector: "nitrozen-select",
        template: "<div class=\"nitrozen-select-wrapper\">\n  <div class=\"nitro-div\">\n    <mat-form-field\n      class=\"customClass\"\n      [ngClass]=\"{ disabled: !this.options.length }\"\n      style=\"display: block;\"\n    >\n      <mat-select\n        [formControl]=\"selectCtrl\"\n        [multiple]=\"isMultiple\"\n        triggerValue=\"Select\"\n        #select\n        [attr.disabled]=\"!this.options.length\"\n        [panelClass]=\"\n          isMultiple\n            ? 'nitro-searchable-multiple-select-panel'\n            : 'nitro-searchable-select-panel'\n        \"\n      >\n        <mat-select-trigger *ngIf=\"isColumnHeader\">\n          <span class=\"place-holder\">\n            {{ placeholder }}\n          </span>\n        </mat-select-trigger>\n        <div class=\"options-container\">\n          <mat-option *ngIf=\"isSearch\">\n            <ngx-mat-select-search\n              [formControl]=\"selectFilterCtrl\"\n              [placeholderLabel]=\"'Search'\"\n              [noEntriesFoundLabel]=\"'No match found'\"\n            ></ngx-mat-select-search>\n          </mat-option>\n          <!--multiple selection start-->\n          <!--<mat-checkbox\n            *ngIf=\"isMultiple\"\n            class=\"mat-option\"\n            [disableRipple]=\"true\"\n            [indeterminate]=\"isIndeterminate()\"\n            [checked]=\"isChecked()\"\n            (change)=\"toggleSelection($event)\"\n            (click)=\"$event.stopPropagation()\"\n          >\n          </mat-checkbox>-->\n\n          <!--multiple selection end-->\n\n          <mat-option\n            *ngFor=\"let option of filteredoptions\"\n            [value]=\"option[id]\"\n          >\n            {{ option[displayName] }}\n          </mat-option>\n        </div>\n        <div class=\"select-action-container\" *ngIf=\"isMultiple\">\n          <nitrozen-button-text (clicked)=\"clearOptions()\"\n            >Clear</nitrozen-button-text\n          >\n          <nitrozen-button-text (clicked)=\"submitOptions()\" [theme]=\"'primary'\"\n            >Submit</nitrozen-button-text\n          >\n        </div>\n      </mat-select>\n      <mat-placeholder class=\"place-holder\">{{ placeholder }}</mat-placeholder>\n    </mat-form-field>\n  </div>\n</div>\n\n<!-- <div class=\"nitrozen-select-wrapper\">\n  <div class=\"nitro-div\">\n    <mat-form-field [floatLabel]=\"'always'\">\n      <mat-label>{{ label }}</mat-label>\n\n      <mat-select\n        #select\n        [ngClass]=\"select.panelOpen ? 'arrow-top' : 'arrow-bottom'\"\n        [placeholder]=\"placeholder\"\n        [formControl]=\"selectCtrl\"\n        [multiple]=\"isMultiple\"\n        triggerValue=\"Select\"\n        [disableOptionCentering]=\"true\"\n        #select\n        [panelClass]=\"\n          isMultiple\n            ? 'nitro-searchable-multiple-select-panel'\n            : 'nitro-searchable-select-panel'\n        \"\n        name=\"form_value\"\n      >\n        <div class=\"options-container\">\n          <mat-option *ngIf=\"isSearch\">\n            <ngx-mat-select-search\n              [formControl]=\"selectFilterCtrl\"\n              [placeholderLabel]=\"'Search'\"\n              [noEntriesFoundLabel]=\"'No match found'\"\n            ></ngx-mat-select-search>\n          </mat-option>\n          <nitrozen-select-check-all\n            *ngIf=\"isMultiple\"\n            [text]=\"''\"\n            [model]=\"selectCtrl\"\n            [values]=\"options\"\n            (change)=\"selectAllChanged($event)\"\n          >\n          </nitrozen-select-check-all>\n          <mat-option\n            *ngFor=\"let option of filteredoptions\"\n            [value]=\"option[id]\"\n          >\n            {{ option[displayName] }}\n          </mat-option>\n        </div>\n        <div class=\"select-action-container\" *ngIf=\"isMultiple\">\n          <nitrozen-button-text (clicked)=\"clearOptions()\"\n            >Clear</nitrozen-button-text\n          >\n          <nitrozen-button-text (clicked)=\"submitOptions()\" [theme]=\"'primary'\"\n            >Submit</nitrozen-button-text\n          >\n        </div>\n      </mat-select>\n      <mat-placeholder class=\"place-holder\">{{ placeholder }}</mat-placeholder>\n    </mat-form-field>\n    <div>{{ model }}</div>\n  </div>\n</div> -->\n",
        encapsulation: ViewEncapsulation.None,
        styles: [".nitro-div .customClass.disabled{pointer-events:none;opacity:.6}.nitro-div ::ng-deep .mat-form-field-underline{display:none}.nitro-div .mat-form-field-infix{border-top:0!important}.nitro-div ::ng-deep .mat-select-value-text{height:40px!important;padding-left:25px;line-height:40px!important;font-family:Poppins}.nitro-div ::ng-deep .mat-select{height:40px;background:#fff;border:1px solid #a9a9a9;border-radius:2px;font-family:Poppins}.nitro-div ::ng-deep .mat-form-field-label{line-height:40px!important;padding-left:5px;font-family:Poppins}.nitro-div ::ng-deep .mat-select-trigger{height:40px}.nitro-div .mat-select-disabled{border:none}.nitro-div .mat-select-disabled ::ng-deep .mat-select-trigger{background-color:#e4e5e6;border:1px solid #e4e5e6}.nitro-div .mat-select-disabled ::ng-deep .mat-select-arrow{margin:0 12px!important;color:#bbb!important}.nitro-div .mat-select-disabled ::ng-deep .mat-select-value-text{color:#bbb}.nitro-div ::ng-deep .mat-option{height:40px!important;border-bottom:1px solid;font-family:Poppins}.nitro-div ::ng-deep .mat-option-text{font-family:Poppins}.nitro-div ::ng-deep .mat-select-arrow{margin:0 12px!important;color:#5c6bdd!important}.nitro-div .mat-form-field-can-float.mat-form-field-should-float ::ng-deep .mat-form-field-label{line-height:21px!important;font-size:16px;font-weight:500px}.place-holder{font-size:13px;padding-left:10px}.select-action-container{display:flex;flex-direction:row;justify-content:flex-end;height:60px;border-top:1px solid #e4e5e6;align-items:center}.mat-checkbox-checked .mat-checkbox-layout .mat-checkbox-inner-container .mat-checkbox-background,.mat-checkbox-indeterminate .mat-checkbox-layout .mat-checkbox-inner-container .mat-checkbox-background{background-color:#3f51b5!important}.options-container{max-height:196px;overflow:auto}.arrow-top ::ng-deep .mat-select-arrow{border-bottom:5px solid;border-top:none!important}.arrow-bottom :ng-deep .mat-select-arrow{border-top:5px solid;border-bottom:none!important}.mat-select-panel{max-height:280px}"]
    })
], SearchableSelectComponent);

let SelectCheckAllComponent = class SelectCheckAllComponent {
    constructor() {
        this.values = [];
        this.text = "Select All";
        this.change = new EventEmitter();
    }
    ngOnInit() { }
    isChecked() {
        return (this.model.value &&
            this.values.length &&
            this.model.value.length === this.values.length);
    }
    isIndeterminate() {
        return (this.model.value &&
            this.values.length &&
            this.model.value.length &&
            this.model.value.length < this.values.length);
    }
    toggleSelection(change) {
        if (change.checked) {
            this.model.setValue([...this.values.map((item) => item.viewValue)]);
        }
        else {
            this.model.setValue([]);
        }
    }
    selectAndDeselect() { }
};
__decorate([
    Input()
], SelectCheckAllComponent.prototype, "model", void 0);
__decorate([
    Input()
], SelectCheckAllComponent.prototype, "values", void 0);
__decorate([
    Input()
], SelectCheckAllComponent.prototype, "text", void 0);
__decorate([
    Output()
], SelectCheckAllComponent.prototype, "change", void 0);
__decorate([
    ViewChild("allSelected")
], SelectCheckAllComponent.prototype, "allSelected", void 0);
SelectCheckAllComponent = __decorate([
    Component({
        selector: "nitrozen-select-check-all",
        template: "<mat-checkbox\n  class=\"mat-option\"\n  [disableRipple]=\"true\"\n  [indeterminate]=\"isIndeterminate()\"\n  [checked]=\"isChecked()\"\n  (change)=\"toggleSelection($event)\"\n  (click)=\"$event.stopPropagation()\"\n>\n  {{ text }}\n</mat-checkbox>\n<!-- \n(click)=\"$event.stopPropagation()\" -->\n",
        styles: [""]
    })
], SelectCheckAllComponent);

let SearchableSelectModule = class SearchableSelectModule {
};
SearchableSelectModule = __decorate([
    NgModule({
        declarations: [SearchableSelectComponent, SelectCheckAllComponent],
        imports: [
            CommonModule,
            MatSelectModule,
            FormsModule,
            ReactiveFormsModule,
            NgxMatSelectSearchModule,
            MatCheckboxModule,
            ButtonTextModule,
        ],
        exports: [
            SearchableSelectComponent,
            MatSelectModule,
            SelectCheckAllComponent,
            MatCheckboxModule,
        ],
    })
], SearchableSelectModule);

let CustomSnackbarComponent = class CustomSnackbarComponent {
    constructor(snackBarRef, data) {
        this.snackBarRef = snackBarRef;
        this.data = data;
    }
};
CustomSnackbarComponent.ctorParameters = () => [
    { type: MatSnackBarRef },
    { type: undefined, decorators: [{ type: Inject, args: [MAT_SNACK_BAR_DATA,] }] }
];
CustomSnackbarComponent = __decorate([
    Component({
        selector: "custom-snackbar",
        template: `
    <div
      class="flex"
      style="display: flex;
    justify-content: space-between;align-items: center;"
    >
      <div class="data" style="white-space: pre-line;">{{ data.data }}</div>
      <div
        class="dismiss"
        style="cursor:pointer;align-items: center;
    display: flex;"
        *ngIf="data.hasIcon"
      >
        <mat-icon (click)="snackBarRef.dismiss()">close</mat-icon>
      </div>
      <div
        class="dismiss"
        style="cursor:pointer;line-height: 40px;"
        *ngIf="!data.hasIcon"
      >
        <div *ngIf="data.text">{{ data.text }}</div>
      </div>
    </div>
  `
    }),
    __param(1, Inject(MAT_SNACK_BAR_DATA))
], CustomSnackbarComponent);

let SnackBarComponent = class SnackBarComponent {
    constructor() { }
    ngOnInit() {
    }
};
SnackBarComponent = __decorate([
    Component({
        selector: 'nitrozen-snack-bar',
        template: `
    <ng-content></ng-content>
  `,
        styles: ["::ng-deep .text-snackbar{border-radius:3px;background-color:#5c6bdd!important;color:#fff;font-family:Poppins;font-size:14px;font-weight:400;line-height:21px}.btn-space{display:flex;justify-content:space-evenly;padding-top:30px}::ng-deep .success-snackbar{border-radius:3px;background-color:#00c851;color:#fff;font-family:Poppins;font-size:14px;font-weight:400;line-height:21px}::ng-deep .error-snackbar{border-radius:3px;background-color:#fa3f4d;color:#fff;font-family:Poppins;font-size:14px;font-weight:400;line-height:21px}"]
    })
], SnackBarComponent);

const ɵ0 = {};
let SnackBarModule = class SnackBarModule {
};
SnackBarModule = __decorate([
    NgModule({
        declarations: [SnackBarComponent, CustomSnackbarComponent],
        imports: [CommonModule, MatIconModule],
        exports: [SnackBarComponent, CustomSnackbarComponent, MatIconModule],
        providers: [{ provide: MAT_SNACK_BAR_DATA, useValue: ɵ0 }],
        entryComponents: [CustomSnackbarComponent],
    })
], SnackBarModule);

let VerticalTabsComponent = class VerticalTabsComponent {
    constructor() {
        this.change = new EventEmitter();
    }
    ngOnInit() {
    }
    handleChange(obj) {
        console.log(obj);
        this.change.emit(obj);
    }
};
__decorate([
    Input()
], VerticalTabsComponent.prototype, "tab", void 0);
__decorate([
    Output()
], VerticalTabsComponent.prototype, "change", void 0);
VerticalTabsComponent = __decorate([
    Component({
        selector: 'nitrozen-vertical-tabs',
        template: "<div class=\"tabordion\">\n  <section *ngFor=\"let tb of tab; let i = index\">\n    <input type=\"radio\" name=\"sections\" id=\"option{{i}}\" [checked]=\"tb.checked\" (change)=\"handleChange(tb)\">\n    <label for=\"option{{i}}\">\n    \t<div class=\"tab-sls\">\n    \t\t<div class=\"tab-select\">\n    \t\t<img class=\"img-tabs\" src=\"../../../assets/icons/tab_selected_icon.svg\">\n    \t</div>\n    \t<div class=\"tab-unselect\">\n    \t\t<img class=\"img-tabs\" src=\"../../../assets/icons/tab_unselected.svg\">\n    \t</div>\n\n    \t<div class=\"text-tabs\">{{tb.name}}</div>\n    \t</div>\n    \t</label>\n    <!-- <article>\n      <p>{{tb.name}}</p>\n    </article> -->\n  </section>\n<!--   <section id=\"section2\">\n    <input type=\"radio\" name=\"sections\" id=\"option2\">\n    <label for=\"option2\">\n    \t<div class=\"tab-sls\">\n    \t\t<div class=\"tab-select\">\n    \t\t<img class=\"img-tabs\" src=\"../../../assets/icons/tab_selected_icon.svg\">\n    \t</div>\n    \t<div class=\"tab-unselect\">\n    \t\t<img class=\"img-tabs\" src=\"../../../assets/icons/tab_unselected.svg\">\n    \t</div>\n\n    \t<div class=\"text-tabs\">Catalog Portfolio</div>\n    \t</div>\n    </label>\n    <article>\n      <p>Catalog Portfolio</p>\n    </article>\n  </section>\n  <section id=\"section3\">\n    <input type=\"radio\" name=\"sections\" id=\"option3\">\n     <label for=\"option3\">\n    \t<div class=\"tab-sls\">\n    \t\t<div class=\"tab-select\">\n    \t\t<img class=\"img-tabs\" src=\"../../../assets/icons/tab_selected_icon.svg\">\n    \t</div>\n    \t<div class=\"tab-unselect\">\n    \t\t<img class=\"img-tabs\" src=\"../../../assets/icons/tab_unselected.svg\">\n    \t</div>\n\n    \t<div class=\"text-tabs\">Business Profile</div>\n    \t</div>\n    </label>\n    <article>\n      <p>Business Profile</p>\n    </article>\n  </section>\n  <section id=\"section4\">\n    <input type=\"radio\" name=\"sections\" id=\"option4\">\n    <label for=\"option4\">\n    \t<div class=\"tab-sls\">\n    \t\t<div class=\"tab-select\">\n    \t\t<img class=\"img-tabs\" src=\"../../../assets/icons/tab_selected_icon.svg\">\n    \t</div>\n    \t<div class=\"tab-unselect\">\n    \t\t<img class=\"img-tabs\" src=\"../../../assets/icons/tab_unselected.svg\">\n    \t</div>\n\n    \t<div class=\"text-tabs\">KYC & Bank Details</div>\n    \t</div>\n    </label>\n    <article>\n      <p>KYC & Bank Details</p>\n    </article>\n  </section>\n  <section id=\"section5\">\n    <input type=\"radio\" name=\"sections\" id=\"option5\">\n    <label for=\"option5\">\n    \t<div class=\"tab-sls\">\n    \t\t<div class=\"tab-select\">\n    \t\t<img class=\"img-tabs\" src=\"../../../assets/icons/tab_selected_icon.svg\">\n    \t</div>\n    \t<div class=\"tab-unselect\">\n    \t\t<img class=\"img-tabs\" src=\"../../../assets/icons/tab_unselected.svg\">\n    \t</div>\n\n    \t<div class=\"text-tabs\">Agreement</div>\n    \t</div>\n    </label>\n    <article>\n      <p>Agreement</p>\n    </article>\n  </section> -->\n</div>",
        styles: [".tabordion{display:block;font-family:Poppins;margin:auto;position:relative}.tabordion input[name=sections]{left:-9999px;position:absolute;top:-9999px}.tabordion section{display:block}.tabordion section label{cursor:pointer;display:block;padding:15px 20px;position:relative;max-width:280px;border-radius:3px;width:200px;z-index:100;border:1px solid #e4e5e6;margin-bottom:10px;color:#41434c;font-family:Poppins;font-size:16px;font-weight:500;line-height:25px}.tabordion section label .tab-select{display:none}.tabordion section label .tab-unselect{display:block}.tabordion section article{display:none;left:230px;min-width:300px;padding:0 0 0 21px;position:absolute;top:0}.tabordion section article:after{bottom:0;content:\"\";display:block;left:-229px;position:absolute;top:0;width:220px;z-index:1}.tabordion input[name=sections]:checked+label{color:#5c6bdd;font-family:Poppins;font-size:16px;border:1px solid #fff}.tabordion input[name=sections]:checked+label .tab-select{display:block}.tabordion input[name=sections]:checked+label .tab-unselect{display:none}.tabordion input[name=sections]:checked~article{display:block}.tab-select{height:24px;width:24px}.img-tabs{padding-top:2px}.text-tabs{padding-left:12px}.tab-unselect{height:24px;width:24px}@media (max-width:533px){.tabordion,h1{width:100%}.tabordion section label{font-size:1em;width:160px}.tabordion section article{left:200px;min-width:270px}.tabordion section article:after{bottom:0;content:\"\";display:block;left:-199px;position:absolute;top:0;width:200px}}.tab-sls{display:flex}@media (max-width:768px){.tabordion,h1{width:96%}}@media (min-width:1366px){.tabordion,h1{width:70%}}@media (min-width:1824px){.tabordion,h1{width:100%}}"]
    })
], VerticalTabsComponent);

let VerticalTabsModule = class VerticalTabsModule {
};
VerticalTabsModule = __decorate([
    NgModule({
        declarations: [VerticalTabsComponent],
        imports: [
            CommonModule
        ],
        exports: [
            VerticalTabsComponent
        ],
        schemas: [CUSTOM_ELEMENTS_SCHEMA]
    })
], VerticalTabsModule);

let TabsComponent = class TabsComponent {
    constructor() {
        this.change = new EventEmitter();
    }
    ngOnInit() {
    }
    handleChange(obj) {
        console.log(obj);
        this.change.emit(obj);
    }
};
__decorate([
    Input()
], TabsComponent.prototype, "tab", void 0);
__decorate([
    Output()
], TabsComponent.prototype, "change", void 0);
TabsComponent = __decorate([
    Component({
        selector: 'nitrozen-tabs',
        template: "<div>\n<div class=\"tab-ordion\">\n  <section *ngFor=\"let tb of tab; let i = index\">\n    <input type=\"radio\" name=\"sections\" id=\"option{{i}}\" [checked]=\"tb.checked\" (change)=\"handleChange(tb)\">\n    <label for=\"option{{i}}\">\n    \t<div class=\"text-tabs\">{{tb.name}}</div>\n    \t</label>\n  </section>\n</div>\n</div>",
        styles: [".tab-ordion{display:flex;font-family:Poppins;position:relative;justify-content:space-evenly;padding-top:20px;width:87%}.tab-ordion input[name=sections]{left:-9999px;position:absolute;top:-9999px}.tab-ordion section{display:flex;align-items:center}.tab-ordion section label{cursor:pointer;display:block;position:relative;border-radius:3px;z-index:100;margin-bottom:10px;padding:0 12px;color:#41434c;font-family:Poppins}.tab-ordion section label:hover{border-radius:20px;background-color:#f3f3f3;height:40px;align-items:center;display:flex}.tab-ordion section label .tab-select{display:none}.tab-ordion section label .tab-unselect{display:block}.tab-ordion section article{display:none;left:230px;min-width:300px;padding:0 0 0 21px;position:absolute;top:0}.tab-ordion section article:after{bottom:0;content:\"\";display:block;left:-229px;position:absolute;top:0;width:220px;z-index:1}.tab-ordion input[name=sections]:checked+label{color:#5c6bdd;font-family:Poppins;font-size:16px;border:1px solid #fff;background-color:#5c6bdd;border-radius:20px;height:40px;align-items:center;display:flex}.tab-ordion input[name=sections]:checked+label .tab-select{display:block}.tab-ordion input[name=sections]:checked+label .tab-unselect{display:none}.tab-ordion input[name=sections]:checked+label .text-tabs{color:#fff}.tab-ordion input[name=sections]:checked~article{display:block}.tab-select{height:24px;width:24px}.img-tabs{padding-top:2px}.text-tabs{color:#4d4d4e;font-family:Poppins;font-size:14px;line-height:21px;width:100%}.tab-unselect{height:24px;width:24px}@media (max-width:533px){.tab-ordion,h1{width:100%}.tab-ordion section label{font-size:1em;width:160px}.tab-ordion section article{left:200px;min-width:270px}.tab-ordion section article:after{bottom:0;content:\"\";display:block;left:-199px;position:absolute;top:0;width:200px}}.tab-sls{display:flex}@media (max-width:768px){h1{width:96%}.tab-ordion{width:18%}}@media (min-width:1366px){.tab-ordion,h1{width:70%}}@media (min-width:1824px){h1{width:100%}.tab-ordion{width:55%}}"]
    })
], TabsComponent);

let TabsModule = class TabsModule {
};
TabsModule = __decorate([
    NgModule({
        declarations: [TabsComponent],
        imports: [
            CommonModule
        ],
        exports: [
            TabsComponent
        ],
        schemas: [CUSTOM_ELEMENTS_SCHEMA]
    })
], TabsModule);

let CropModalComponent = class CropModalComponent {
    constructor(dialogRef, data) {
        this.dialogRef = dialogRef;
        this.data = data;
        this.croppedImage = "";
    }
    onNoClick() {
        this.dialogRef.close(this.croppedImage);
    }
    myMethod() {
        this.dialogRef.close();
    }
    imageCropped(event) {
        this.croppedImage = event.base64;
    }
    ngOnInit() { }
};
CropModalComponent.ctorParameters = () => [
    { type: MatDialogRef },
    { type: undefined, decorators: [{ type: Inject, args: [MAT_DIALOG_DATA,] }] }
];
CropModalComponent = __decorate([
    Component({
        selector: "nitrozen-crop-modal",
        template: "<div class=\"alert-modal\">\n\t<div class=\"dialog-tt\" mat-dialog-title>Crop Image</div>\n\t<div mat-dialog-content>\n\t\t<!-- <input type=\"file\" (change)=\"fileChangeEvent($event)\" />\n\t\t<img src=\"{{data.name}}\"> -->\n\t\t<div>\n\t\t\t<image-cropper\n\t\t\t[imageBase64]=\"data.name\"\n\t\t\tformat=\"png,jpeg\"\n\t\t\t(imageCropped)=\"imageCropped($event)\"\n\t\t\t[aspectRatio]=\"data.config\"\n\t\t\t></image-cropper>\n\t\t</div>\n\t</div>\n\t<div class=\"dialog-act\" mat-dialog-actions>\n\t\t<div>\n\t\t\t<nitrozen-button  [isContained]=\"true\" [theme]=\"'primary'\" [showIcon]=\"false\" (clicked)=\"onNoClick()\">Submit</nitrozen-button>\n\t\t</div>\n\t\t<div class=\"cancel-btns\">\n\t\t\t<nitrozen-button [showProgress]=\"false\" [isStroked]=\"true\" [theme]=\"'primary'\" [showIcon]=\"false\" [shouldBeDisabled]=\"false\" (clicked)=\"myMethod()\"\n\t\t\t>Cancel</nitrozen-button>\n\t\t</div>\n\t</div>\n</div>",
        styles: [".dialog-tt{color:#41434c;font-family:Poppins;font-size:16px;font-weight:700;line-height:25px;visibility:hidden}.dialog-act{display:flex;justify-content:flex-end;padding-top:40px}.cancel-btns{padding-left:12px}"]
    }),
    __param(1, Inject(MAT_DIALOG_DATA))
], CropModalComponent);

let FileUploadComponent = class FileUploadComponent {
    constructor(_http, dialog) {
        this._http = _http;
        this.dialog = dialog;
        /** Link text */
        this.text = "Drag and drop your file here.";
        /** Name used in form which will be sent in HTTP request. */
        this.param = "file";
        /** Target URL for file uploading. */
        this.target = "https://file.io";
        this.required = false;
        this.download = false;
        this.enableCrop = false;
        /** Allow you to add handler after its completion. Bubble up response text from remote. */
        this.complete = new EventEmitter();
        this.dimen = new EventEmitter();
        this.files = [];
        this.canChange = false;
        this.logo_active = false;
        //    @HostListener('window:keyup', ['$event'])
        //     keyEvent(event: KeyboardEvent) {
        //       event.stopPropagation();
        //      if (event.keyCode === 9 && event.target.parentElement.parentElement.parentElement.contains('logo-img')) {
        //         this.logoActive = true;
        //         this.landscapeActive = false;
        //         this.portActive = false;
        //     }
        //     if (event.keyCode === 9 && event.target.parentElement.parentElement.parentElement.contains('landscape-img')) {
        //         this.landscapeActive = true;
        //         this.logoActive = false;
        //         this.portActive = false;
        //     }
        //     if (event.keyCode === 9 && event.target.parentElement.parentElement.parentElement.contains('protrait-img')) {
        //         this.logoActive = false;
        //         this.landscapeActive = false;
        //         this.portActive = true;
        //     }
        // }
        this.typesMap = {
            csv: {
                accept: "text/csv",
                contentType: ["application/vnd.ms-excel", "text/csv", "text/plain"],
                readMethod: "text",
                errorMsg: "Invalid File Format. only CSV files are allowed",
            },
            image: {
                accept: "image/*",
                readMethod: "dataurl",
                errorMsg: "Invalid File Format. only IMAGE files are allowed",
            },
            image_jpg: {
                accept: "image/jpeg",
                readMethod: "dataurl",
                errorMsg: "Invalid File Format. only JPEG files are allowed",
            },
            video: {
                accept: "video/*",
                readMethod: "dataurl",
                errorMsg: "Invalid File Format. only VIDEO files are allowed",
            },
            pdf: {
                accept: "application/pdf",
                contentType: ["application/pdf"],
                errorMsg: "Invalid File Format. only CSV files are allowed",
            },
            json: {
                accept: "application/json",
                contentType: "application/json",
                readMethod: "text",
                errorMsg: "Invalid File Format. only JSON files are allowed",
            },
        };
    }
    ngOnInit() { }
    onClick() {
        this.files = [];
        this.logo_active = true;
        const fileUpload = document.getElementById("fileUpload");
        //this.ff = fileUpload;
        // document.getElementById('fileUpload').onfocus = this.checkIt();
        fileUpload.onchange = ($event) => {
            console.log($event);
            for (let index = 0; index < fileUpload.files.length; index++) {
                const file = fileUpload.files[index];
                this.files.push({
                    data: file,
                    state: "in",
                    inProgress: false,
                    progress: 0,
                    canRetry: false,
                    canCancel: true,
                });
            }
            this.uploadFiles();
        };
        fileUpload.click();
    }
    // checkIt() {
    //   if(this.ff && this.ff.value.length){
    //        this.logo_active = false;
    //   } else {
    //        this.logo_active = true;
    //        document.getElementById('fileUpload').onfocus = null;
    //   }
    // }
    cancelFile(file) {
        this.canChange = false;
        this.logo_active = false;
        file.sub.unsubscribe();
        this.removeFileFromArray(file);
    }
    retryFile(file) {
        this.uploadFile(file);
        file.canRetry = false;
    }
    uploadDragFile(event) {
        this.files = [];
        this.logo_active = true;
        for (let index = 0; index < event.length; index++) {
            const element = event[index];
            this.files.push({
                data: element,
                state: "in",
                inProgress: false,
                progress: 0,
                canRetry: false,
                canCancel: true,
            });
            this.uploadFiles();
        }
    }
    downloadImage(downloadUrl) {
        window.open(downloadUrl, "_blank");
    }
    getImageDimension(obj) {
        let fr = new Image();
        fr.onload = function () {
            this.dimens = {
                width: fr.width,
                height: fr.height,
                crop: obj.crop ? obj.crop : false,
            };
            this.dimen.emit(this.dimens);
        }.bind(this);
        fr.src = this.url;
    }
    uploadFile(file) {
        this.canChange = true;
        this.uploadedFileName = file.data.name;
        var reader = new FileReader();
        reader.readAsDataURL(file.data); // read file as data url
        reader.onload = (event) => {
            // called once readAsDataURL is completed
            this.url = event.target["result"];
            this.getImageDimension({ crop: false });
        };
        this.file_type = file.data.type;
        this.logo_active = false;
        this.complete.emit(file.data);
        // const fd = new FormData();
        // fd.append(this.param, file.data);
        // const req = new HttpRequest('POST', this.target, fd, {
        //       reportProgress: true
        // });
        // file.inProgress = true;
        // file.sub = this._http.request(req).pipe(
        //       map(event => {
        //             switch (event.type) {
        //                   case HttpEventType.UploadProgress:
        //                         file.progress = Math.round(event.loaded * 100 / event.total);
        //                         break;
        //                   case HttpEventType.Response:
        //                         return event;
        //             }
        //       }),
        //       tap(message => { }),
        //       last(),
        //       catchError((error: HttpErrorResponse) => {
        //             file.inProgress = false;
        //             file.canRetry = true;
        //             return of(`${file.data.name} upload failed.`);
        //       })
        // ).subscribe(
        //       (event: any) => {
        //             if (typeof (event) === 'object') {
        //                   this.removeFileFromArray(file);
        //                   this.complete.emit(event.body);
        //             }
        //       }
        // );
    }
    uploadFiles() {
        const fileUpload = document.getElementById("fileUpload");
        fileUpload.value = "";
        this.files.forEach((file) => {
            this.uploadFile(file);
        });
    }
    openCropTool(event) {
        event.stopPropagation();
        const dialogRef = this.dialog.open(CropModalComponent, {
            width: "480px",
            data: { name: this.url, config: this.config },
            autoFocus: false,
        });
        dialogRef.afterClosed().subscribe((res) => {
            if (res) {
                this.url = res;
                this.complete.emit(this.url);
                this.getImageDimension({ crop: true });
            }
        });
    }
    removeFileFromArray(file) {
        const index = this.files.indexOf(file);
        if (index > -1) {
            this.files.splice(index, 1);
        }
    }
    myMethod(e) { }
};
FileUploadComponent.ctorParameters = () => [
    { type: HttpClient },
    { type: MatDialog }
];
__decorate([
    Input()
], FileUploadComponent.prototype, "text", void 0);
__decorate([
    Input()
], FileUploadComponent.prototype, "param", void 0);
__decorate([
    Input()
], FileUploadComponent.prototype, "view", void 0);
__decorate([
    Input()
], FileUploadComponent.prototype, "size", void 0);
__decorate([
    Input()
], FileUploadComponent.prototype, "dimension", void 0);
__decorate([
    Input()
], FileUploadComponent.prototype, "error", void 0);
__decorate([
    Input()
], FileUploadComponent.prototype, "msg", void 0);
__decorate([
    Input()
], FileUploadComponent.prototype, "target", void 0);
__decorate([
    Input()
], FileUploadComponent.prototype, "accept", void 0);
__decorate([
    Input()
], FileUploadComponent.prototype, "required", void 0);
__decorate([
    Input()
], FileUploadComponent.prototype, "download", void 0);
__decorate([
    Input()
], FileUploadComponent.prototype, "enableCrop", void 0);
__decorate([
    Input()
], FileUploadComponent.prototype, "downloadUrl", void 0);
__decorate([
    Input()
], FileUploadComponent.prototype, "replaceable", void 0);
__decorate([
    Input()
], FileUploadComponent.prototype, "newSrc", void 0);
__decorate([
    Input()
], FileUploadComponent.prototype, "config", void 0);
__decorate([
    Input()
], FileUploadComponent.prototype, "type", void 0);
__decorate([
    Output()
], FileUploadComponent.prototype, "complete", void 0);
__decorate([
    Output()
], FileUploadComponent.prototype, "dimen", void 0);
FileUploadComponent = __decorate([
    Component({
        selector: "nitrozen-file-upload",
        template: "<div *ngIf=\"type === 'no-preview'\">\n  <div class=\"file-cnt\"  (click)=\"onClick()\" appDragDrop (onFileDropped)=\"uploadDragFile($event)\">\n    <div class=\"file-side-cont\" [ngClass]=\"{'file-active': logo_active}\" >\n      <div class=\"img-ic\" *ngIf=\"!replaceable\">\n        <img src=\"./../../assets/icons/fileupload_upload.svg\">\n      </div>\n      <div class=\"img-ic-new\" *ngIf=\"replaceable && file_type !== 'application/pdf'\">\n        <img src=\"./../../assets/icons/fileupload_general.svg\" style=\"height: 65px;object-fit: cover;\">\n      </div>\n      <div class=\"img-ic-new\" *ngIf=\"replaceable && file_type === 'text/csv'\">\n        <img src=\"./../../assets/icons/fileupload_placeholder_pdf.svg\" style=\"height: 65px;object-fit: cover;\">\n      </div>\n      <div class=\"img-txt\">\n        <div class=\"txt-cnt-left\" *ngIf=\"!canChange\">{{text}}</div>\n        <div class=\"txt-cnt-left\" *ngIf=\"canChange\">{{uploadedFileName}}</div>\n        <div class=\"txt-msg\" title=\"{{msg}}\">{{msg}}</div>\n        <div *ngIf=\"size\" class=\"txt-msg\" title=\"{{size}}\">{{size}}</div>\n        <div *ngIf=\"dimension\" class=\"txt-msg\" title=\"{{dimension}}\">{{dimension}}</div>\n      </div>\n      \n      <div class=\"file-btn\">\n        <div *ngIf=\"downloadUrl\">\n          <div class=\"url-down\" (click)=\"downloadImage(downloadUrl)\">\n            <img class=\"img-bdr\" src=\"./../../assets/icons/fileupoload-download.svg\">\n          </div>\n        </div>\n        <div *ngIf=\"enableCrop && replaceable\">\n           <div class=\"url-down\" (click)=\"openCropTool($event)\">\n              <img class=\"img-bdr\" src=\"./../../assets/icons/crop_icon.svg\">\n            </div>\n        </div>\n        <div class=\"flat-btn-underline\" *ngIf=\"!canChange\">\n         <nitrozen-button-rounded [showProgress]=\"false\" [isStroked]=\"true\" [theme]=\"'primary'\" [showIcon]=\"false\" [shouldBeDisabled]=\"false\"\n            >Upload</nitrozen-button-rounded>\n        </div>\n         <div *ngIf=\"canChange\">\n            <div class=\"url-down file-change\" (click)=\"onClick()\">\n              <img class=\"img-bdr-edit\" src=\"./../../assets/icons/edit_icon.svg\">\n            </div>\n          </div>\n        <!-- <div class=\"flat-btn-underline\"  *ngIf=\"canChange\">\n          <a class=\"btn-text file-change\">Change</a>\n        </div> -->\n      </div>\n    </div>\n  </div>\n  <!-- <ul>\n    <li *ngFor=\"let file of files\" [@fadeInOut]=\"file.state\">\n      <mat-progress-bar [value]=\"file.progress\"></mat-progress-bar>\n      <span id=\"file-label\">\n        {{file.data.name}}\n        <a title=\"Retry\" (click)=\"retryFile(file)\" *ngIf=\"file.canRetry\">\n        <mat-icon>refresh</mat-icon></a>\n        <a title=\"Cancel\" (click)=\"cancelFile(file)\" *ngIf=\"file.canCancel\">\n        <mat-icon>cancel</mat-icon></a>\n      </span>\n    </li>\n  </ul> -->\n  <input type=\"file\" id=\"fileUpload\" [required]=\"required\" name=\"fileUpload\" multiple=\"multiple\"\n  accept=\"{{accept}}\" style=\"display:none;\"/>\n\n  <div *ngIf=\"error\"><span  [innerHTML]=\"error\"></span></div>\n</div>\n<div *ngIf=\"type === 'preview' && view === 'landscape'\">\n  <div class=\"file-cnt-image\" [ngClass]=\"{'file-height': canChange}\"  (click)=\"onClick()\" appDragDrop (onFileDropped)=\"uploadDragFile($event)\">\n    <div class=\"inner-cnt\" [ngClass]=\"{'file-active': logo_active}\" >\n      <div class=\"image-cnt\" [ngClass]=\"{'file-image-height': canChange}\">\n        <div class=\"img-ic-image\" *ngIf=\"!canChange && !replaceable\">\n          <img src=\"./../../assets/icons/fileupload_large_upload.svg\">\n        </div>\n        <div class=\"img-txt-image\" *ngIf=\"!canChange && !replaceable\">\n          <div class=\"txt-cnt\">Drag and drop a file here</div>\n          <div class=\"txt-cnt\">or</div>\n          <div class=\"pad-12\">\n            <nitrozen-button-rounded [showProgress]=\"false\" [isStroked]=\"true\" [theme]=\"'primary'\" [showIcon]=\"false\" [shouldBeDisabled]=\"false\"\n            >Upload</nitrozen-button-rounded>\n          </div>\n          <div class=\"pad-12\" *ngIf=\"!canChange\">\n            <div class=\"txt-msg-cn\" title=\"{{msg}}\">{{msg}}</div>\n            <div *ngIf=\"size\" class=\"txt-msg-cn\" title=\"{{size}}\">{{size}}</div>\n            <div *ngIf=\"dimension\" class=\"txt-msg-cn\" title=\"{{dimension}}\">{{dimension}}</div>\n          </div>\n          <!-- <div class=\"txt-cnt\" *ngIf=\"canChange\">{{uploadedFileName}}</div> -->\n          <!--  <div class=\"txt-msg\" title=\"{{msg}}\">{{msg}}</div> -->\n        </div>\n        <div>\n          <div *ngIf=\"canChange && !replaceable\">\n            <img class=\"url-img\" src=\"{{url}}\">\n          </div>\n          <div *ngIf=\"replaceable\">\n            <img class=\"url-img\" src=\"{{newSrc}}\">\n          </div>\n        </div>\n      </div>\n\n    </div>\n    <div class=\"file-btn-image\" *ngIf=\"canChange\">\n      <div class=\"img-new-cnt\">\n        <div class=\"txt-cnt-image\" *ngIf=\"canChange\">{{uploadedFileName}}</div>\n        <div class=\"txt-msg-image\" title=\"{{msg}}\">{{msg}}</div>\n        <div *ngIf=\"size\" class=\"txt-msg-image\" title=\"{{size}}\">{{size}}</div>\n        <div *ngIf=\"dimension\" class=\"txt-msg-image\" title=\"{{dimension}}\">{{dimension}}</div>\n      </div>\n      <div class=\"change-btn\" *ngIf=\"canChange\">\n              <div  *ngIf=\"downloadUrl\">\n            <div class=\"url-down\" (click)=\"downloadImage(downloadUrl)\">\n              <img class=\"img-bdr\" src=\"./../../assets/icons/fileupoload-download.svg\">\n            </div>\n          </div>\n          <div  *ngIf=\"enableCrop\">\n            <div class=\"url-down\" (click)=\"openCropTool($event)\">\n              <img class=\"img-bdr\" src=\"./../../assets/icons/crop_icon.svg\">\n            </div>\n          </div>\n          <div>\n            <div class=\"url-down file-change\" (click)=\"onClick()\">\n              <img class=\"img-bdr-edit\" src=\"./../../assets/icons/edit_icon.svg\">\n            </div>\n          </div>\n\n       <!--  <div class=\"flat-btn-underline\">\n          <a class=\"btn-text file-change\">Change</a>\n        </div> -->\n      </div>\n    </div>\n  </div>\n  <input type=\"file\" id=\"fileUpload\" [required]=\"required\" name=\"fileUpload\" multiple=\"multiple\"\n  accept=\"{{accept}}\" style=\"display:none;\"/>\n\n  <div *ngIf=\"error\"><span  [innerHTML]=\"error\"></span></div>\n</div>\n<div *ngIf=\"type === 'preview' && view === 'protrait'\">\n  <div class=\"file-cnt-image file-flx\" [ngClass]=\"{'file-height': canChange}\">\n    <div class=\"main-file-drop\"  (click)=\"onClick()\" appDragDrop (onFileDropped)=\"uploadDragFile($event)\">\n      <div class=\"inner-cnt-prot\" [ngClass]=\"{'file-active': logo_active}\" >\n        <div class=\"image-cnt-new\">\n          <div class=\"img-ic-image\" *ngIf=\"!canChange && !replaceable\">\n            <img src=\"./../../assets/icons/fileupload_large_upload.svg\">\n          </div>\n          <div class=\"img-txt-image\" *ngIf=\"!canChange && !replaceable\">\n            <!-- <div class=\"txt-cnt break-txt\">Drag and drop a file here or click to upload</div> -->\n            <div class=\"txt-cnt\">Drag and drop a file here</div>\n            <div class=\"txt-cnt\">or</div>\n            <div class=\"pad-12\">\n              <nitrozen-button-rounded [showProgress]=\"false\" [isStroked]=\"true\" [theme]=\"'primary'\" [showIcon]=\"false\" [shouldBeDisabled]=\"false\">Upload</nitrozen-button-rounded>\n            </div>\n            <div class=\"pad-12\" *ngIf=\"!canChange\">\n              <div class=\"txt-msg-cn\" title=\"{{msg}}\">{{msg}}</div>\n              <div *ngIf=\"size\" class=\"txt-msg-cn\" title=\"{{size}}\">{{size}}</div>\n              <div *ngIf=\"dimension\" class=\"txt-msg-cn\" title=\"{{dimension}}\">{{dimension}}</div>\n            </div>\n          </div>\n          <div>\n          <div *ngIf=\"canChange && !replaceable\">\n            <img class=\"url-img-port\" src=\"{{url}}\">\n          </div>\n          <div *ngIf=\"replaceable\">\n            <img class=\"url-img-port\" src=\"{{newSrc}}\">\n          </div>\n          <!-- <div class=\"icn-down-pos\" *ngIf=\"downloadUrl\">\n            <div class=\"url-down\" (click)=\"downloadImage(downloadUrl)\">\n              <img src=\"./../../assets/icons/fileupoload-download.svg\">\n            </div>\n          </div> -->\n        </div>\n        </div>\n\n      </div>\n    </div>\n    <div class=\"file-btn-image\" *ngIf=\"canChange\">\n      <div class=\"img-new-cnt\">\n        <div class=\"txt-cnt-image\" *ngIf=\"canChange\">{{uploadedFileName}}</div>\n        <div class=\"txt-msg-image\" title=\"{{msg}}\">{{msg}}</div>\n        <div *ngIf=\"size\" class=\"txt-msg-image\" title=\"{{size}}\">{{size}}</div>\n        <div *ngIf=\"dimension\" class=\"txt-msg-image\" title=\"{{dimension}}\">{{dimension}}</div>\n      </div>\n      <div class=\"change-btn\" *ngIf=\"canChange\">\n            <div  *ngIf=\"downloadUrl\">\n            <div class=\"url-down\" (click)=\"downloadImage(downloadUrl)\">\n              <img class=\"img-bdr\" src=\"./../../assets/icons/fileupoload-download.svg\">\n            </div>\n          </div>\n          <div  *ngIf=\"enableCrop\">\n            <div class=\"url-down\" (click)=\"openCropTool($event)\">\n              <img class=\"img-bdr\" src=\"./../../assets/icons/crop_icon.svg\">\n            </div>\n          </div>\n           <div>\n            <div class=\"url-down file-change\" (click)=\"onClick()\">\n              <img class=\"img-bdr-edit\"  src=\"./../../assets/icons/edit_icon.svg\">\n            </div>\n          </div>\n\n       <!--  <div class=\"flat-btn-underline\">\n          <a class=\"btn-text file-change\" (click)=\"onClick()\">Change</a>\n        </div> -->\n      </div>\n    </div>\n  </div>\n  <input type=\"file\" id=\"fileUpload\" [required]=\"required\" name=\"fileUpload\" multiple=\"multiple\"\n  accept=\"{{accept}}\" style=\"display:none;\"/>\n  <div *ngIf=\"error\"><span  [innerHTML]=\"error\"></span></div>\n</div>",
        animations: [
            trigger("fadeInOut", [
                state("in", style({ opacity: 100 })),
                transition("* => void", [animate(300, style({ opacity: 0 }))]),
            ]),
        ],
        styles: [".file-cnt{display:flex;width:65%;border-radius:3px;padding:12px;border:1px solid #e4e5e6;cursor:pointer;background-color:#f8f8f8}.file-side-cont{display:flex;width:100%;border:1px dashed #d7d7d7;border-radius:3px;background-color:#fff;padding:12px}.crop-icn{width:40px}.file-active{border:1px dashed #00f!important}.img-bdr{box-sizing:border-box;border:1px solid #d7d7d7;border-radius:3px;background-color:#fff;width:32px;height:32px}.img-bdr-edit{box-sizing:border-box;border-radius:3px;background-color:#fff;width:32px;height:32px}.url-down{display:flex;padding-right:20px;padding-top:22px}.icn-down-pos{position:absolute;right:10px;bottom:20px;top:175px;z-index:1}.icn-down-crop{position:absolute;right:60px;bottom:20px;top:175px;z-index:1}.icn-down-crop-pro{position:absolute;z-index:1;bottom:20px;right:40px}.file-cnt-image{width:486px;border:1px solid #e4e5e6;border-radius:3px;background-color:#f8f8f8;position:relative;cursor:pointer}.file-height{height:480px}.file-flx{display:flex;justify-content:center}.main-file-drop{width:265px;border-radius:3px;border:1px solid #e4e5e6;background-color:#d8d8d8;position:relative;cursor:pointer;height:330px;margin:10px 0}.img-txt-image{padding-top:12px}.break-txt{word-break:break-all;width:201px;text-align:center!important}.image-cnt-new{vertical-align:middle;margin:0 -50% 0 0;position:absolute;top:51%;left:50%;transform:translate(-50%,-50%)}.img-ic{border-radius:3px;padding:10px;align-items:center;display:flex}.img-ic-new{align-items:center;display:flex;padding-top:10px}.url-img{height:335px;width:466px;-o-object-fit:cover;object-fit:cover}.url-img-port{height:330px;width:266px;-o-object-fit:cover;object-fit:cover}.change-btn{display:flex;align-items:center;padding-right:12px}.img-new-cnt{flex:1;padding:12px}.text-msg-image{color:#9b9b9b;font-family:Poppins;font-size:12px;text-align:left;padding-left:10px}.file-btn-image{position:absolute;bottom:-40px;left:50%;transform:translate(-50%,-50%);width:96%;background:#fff;display:flex;justify-content:space-around}.inner-cnt{height:332px;border:1px dashed #d7d7d7;border-radius:3px;background-color:#fff;margin:10px}.inner-cnt-prot{border:1px dashed #d7d7d7;border-radius:3px;background-color:#fff;height:328px}.file-change{color:#5c6bdd!important;font-size:12px!important}.image-cnt{vertical-align:middle;margin:0 -50% 0 0;position:absolute;top:50%;left:50%;transform:translate(-50%,-50%)}.file-image-height{top:37.8%}.img-txt{padding-left:24px;padding-top:10px}.txt-cnt{color:#61636a;font-family:Poppins;font-size:16px;text-align:center;text-overflow:ellipsis;max-width:275px;overflow:auto}.txt-cnt-left{color:#41434c;font-family:Poppins;font-size:12px;text-align:left;text-overflow:ellipsis;max-width:275px;overflow:auto}.txt-cnt-image{color:#41434c;font-family:Poppins;font-size:12px;text-overflow:ellipsis;max-width:275px;overflow:auto;text-align:left}.txt-msg{color:#9b9b9b;font-family:Poppins;font-size:12px;text-align:left;width:275px}.pad-12{padding-top:12px}.txt-msg-cn{text-align:center;color:#9b9b9b;font-family:Poppins;font-size:12px;width:275px}.txt-msg-image{color:#9b9b9b;font-family:Poppins;font-size:12px;text-align:left;width:275px}"]
    })
], FileUploadComponent);
class FileUploadModel {
}

let ButtonRoundedComponent = class ButtonRoundedComponent {
    constructor() {
        this.clicked = new EventEmitter();
    }
    ngOnInit() {
        this.theme = this.theme ? this.theme : 'primary';
    }
    clickedButton(event) {
        this.clicked.emit(event);
    }
};
__decorate([
    Input()
], ButtonRoundedComponent.prototype, "showProgress", void 0);
__decorate([
    Input()
], ButtonRoundedComponent.prototype, "isContained", void 0);
__decorate([
    Input()
], ButtonRoundedComponent.prototype, "focused", void 0);
__decorate([
    Input()
], ButtonRoundedComponent.prototype, "isStroked", void 0);
__decorate([
    Input()
], ButtonRoundedComponent.prototype, "theme", void 0);
__decorate([
    Input()
], ButtonRoundedComponent.prototype, "shouldBeDisabled", void 0);
__decorate([
    Input()
], ButtonRoundedComponent.prototype, "showIcon", void 0);
__decorate([
    Output()
], ButtonRoundedComponent.prototype, "clicked", void 0);
ButtonRoundedComponent = __decorate([
    Component({
        selector: 'nitrozen-button-rounded',
        template: "<div class=\"primary-theme\" [ngClass]=\"{\n    'primary-section': theme === 'primary' ,\n    'secondary-section': theme === 'accent'\n  }\">\n\t<button mat-button   class=\"btn-nitrozen\" \n[ngClass]=\"{\n    'mat-stroked-button': isStroked,\n    'mat-flat-button':isContained,\n    'btn-focused':focused,\n    'hover-state':showProgress\n  }\"\n  [disabled]=\"shouldBeDisabled\"\n  (click)=\"clickedButton($event)\"\n\n>\n\n<div class=\"btn-icon-show\">\n  <span class=\"btn-txt\" \n  [ngClass]=\"{\n    'btn-show-icn': showIcon,\n    'btn-stroke-color':isStroked,\n    'btn-contained-color':isContained,\n    'btn-progress': !showProgress,\n    'btn-notprogress' : showProgress\n  }\">\n    <ng-content></ng-content>\n  </span>\n\n  <div class=\"btn-spin\" [ngClass]=\"{\n    'btn-spin-stroke': isStroked,\n    'btn-spin-contained':isContained,\n    'btn-progress': !showProgress,\n    'btn-notprogress' : showProgress\n  }\" *ngIf=\"showIcon\">\n  <img src=\"./../../assets/icons/Bag_Icon.svg\">\n</div>\n <div class=\"btn-spin fx-wt\" [ngClass]=\"{\n    'btn-spin-stroke': isStroked,\n    'btn-spin-contained':isContained,\n    'btn-notprogress': !showProgress,\n    'btn-progress' : showProgress\n  }\" *ngIf=\"!shouldBeDisabled\">\n  <img *ngIf=\"isContained\" class=\"btn-spinner\" style=\"width: 40px;\" src=\"../../../assets/icons/loader-white-1.gif\">\n  <img *ngIf=\"isStroked && theme === 'primary'\" class=\"btn-spinner\" style=\"width: 40px;\" src=\"../../../assets/icons/loader-blue.gif\">\n  <img *ngIf=\"isStroked && theme === 'accent'\" class=\"btn-spinner\" style=\"width: 40px;\" src=\"../../../assets/icons/loader-blue.gif\">\n  <!-- <mat-progress-spinner\n    class=\"btn-spinner\"\n    [ngClass]=\"{'c-button__spinner--active': showProgress && !shouldBeDisabled}\"\n    diameter=\"21\"\n    mode=\"indeterminate\"\n  ></mat-progress-spinner> -->\n</div>\n</div>\n\n\n<!-- <span class=\"btn-txt\" *ngIf=\"!showProgress && !showIcon\">\n    <ng-content></ng-content>\n  </span> -->\n\n \n</button>\n\n\n</div>\n",
        styles: [".btn-nitrozen{height:40px;border-radius:21px;padding:0 32px;outline:0;cursor:pointer}.hover-state{pointer-events:none}.btn-notprogress{opacity:0;transition:opacity .25s ease-out;position:absolute;top:50%;left:50%;transform:translate(-50%,-50%)}.btn-progress{opacity:1}.fx-wt{width:66.38px}.primary-section .mat-flat-button.btn-focused{text-decoration:underline;color:#fff;text-underline-position:under}.primary-section .mat-stroked-button.btn-focused{text-decoration:underline;color:#36cc9b;text-underline-position:under}.primary-section .mat-flat-button{background-color:#36cc9b}.primary-section .mat-flat-button:hover:not([disabled]){background-color:#2eb589}.primary-section .mat-flat-button:focus{text-decoration:underline;color:#fff;text-underline-position:under}.primary-section .mat-stroked-button{border:1px solid #36cc9b!important}.primary-section .mat-stroked-button:hover:not([disabled]){background-color:rgba(79,94,204,.12)}.primary-section .mat-stroked-button:focus{text-decoration:underline;color:#5c6bdd;text-underline-position:under}.primary-section .btn-spin-stroke .mat-spinner circle,.primary-section .btn-spin-stroke ::ng-deep .mat-progress-spinner circle{stroke:#5c6bdd}.primary-section .btn-spin-contained .mat-spinner circle,.primary-section .btn-spin-contained ::ng-deep .mat-progress-spinner circle{stroke:#fff}.primary-section .mat-flat-button:disabled,.primary-section .mat-flat-button[disabled=disabled]{background-color:rgba(54,204,155,.4)!important}.primary-section .btn-txt{font-family:Poppins;font-size:16px;font-weight:700;line-height:25px;text-align:center}.primary-section .btn-stroke-color{color:#5c6bdd}.primary-section .btn-contained-color{color:#fff}.primary-section .btn-spinner{text-align:center}.primary-section .btn-spin{display:flex;justify-content:center}.primary-section .btn-fynd-icon{height:48px;width:190px;border-radius:3px;background-color:#5c6bdd}.primary-section .btn-fynd-icon:hover:not([disabled]){background-color:#2eb589}.primary-section .btn-fynd-icon:focus{text-decoration:underline;color:#fff;text-underline-position:under}.primary-section .btn-show-icn{padding-left:10px}.primary-section .btn-icon-show{display:flex;flex-direction:row-reverse;justify-content:center}.secondary-section .mat-flat-button.btn-focused{text-decoration:underline;color:#fff;text-underline-position:under}.secondary-section .mat-stroked-button.btn-focused{text-decoration:underline;color:#5c6bdd;text-underline-position:under}.secondary-section .mat-flat-button{background-color:#5c6bdd}.secondary-section .mat-flat-button:hover:not([disabled]){background-color:#4f5ecc}.secondary-section .mat-flat-button:focus{text-decoration:underline;color:#fff;text-underline-position:under}.secondary-section .mat-stroked-button{border:1px solid #5c6bdd}.secondary-section .mat-stroked-button:hover:not([disabled]){background-color:rgba(79,94,204,.12)}.secondary-section .mat-stroked-button:focus{text-decoration:underline;color:#5c6bdd;text-underline-position:under}.secondary-section .btn-spin-stroke .mat-spinner circle,.secondary-section .btn-spin-stroke ::ng-deep .mat-progress-spinner circle{stroke:#5c6bdd}.secondary-section .btn-spin-contained .mat-spinner circle,.secondary-section .btn-spin-contained ::ng-deep .mat-progress-spinner circle{stroke:#fff}.secondary-section .mat-flat-button:disabled,.secondary-section .mat-flat-button[disabled=disabled]{background-color:rgba(92,107,221,.4)!important}.secondary-section .mat-stroked-button:disabled .btn-stroke-color,.secondary-section .mat-stroked-button[disabled=disabled] .btn-stroke-color{color:rgba(92,107,221,.4)!important}.secondary-section .btn-txt{font-family:Poppins;font-size:16px;font-weight:700;line-height:25px;text-align:center}.secondary-section .btn-stroke-color{color:#5c6bdd}.secondary-section .btn-contained-color{color:#fff}.secondary-section .btn-spinner{text-align:center}.secondary-section .btn-spin{display:flex;justify-content:center}.secondary-section .btn-fynd-icon{height:48px;width:190px;border-radius:3px;background-color:#5c6bdd}.secondary-section .btn-fynd-icon:hover:not([disabled]){background-color:#2eb589}.secondary-section .btn-fynd-icon:focus{text-decoration:underline;color:#fff;text-underline-position:under}.secondary-section .btn-show-icn{padding-left:10px}.secondary-section .btn-icon-show{display:flex;flex-direction:row-reverse;justify-content:center}"]
    })
], ButtonRoundedComponent);

let ButtonRoundedModule = class ButtonRoundedModule {
};
ButtonRoundedModule = __decorate([
    NgModule({
        declarations: [ButtonRoundedComponent],
        imports: [CommonModule, MatButtonModule, MatProgressSpinnerModule],
        exports: [ButtonRoundedComponent, MatButtonModule, MatProgressSpinnerModule],
    })
], ButtonRoundedModule);

let DragDropDirective = class DragDropDirective {
    constructor() {
        this.onFileDropped = new EventEmitter();
    }
    // @HostBinding('style.background-color') private background = '#f5fcff'
    // @HostBinding('style.opacity') private opacity = '1'
    //Dragover listener
    onDragOver(evt) {
        evt.preventDefault();
        evt.stopPropagation();
        // this.background = '#9ecbec';
        // this.opacity = '0.8'
    }
    //Dragleave listener
    onDragLeave(evt) {
        evt.preventDefault();
        evt.stopPropagation();
        // this.background = '#f5fcff'
        // this.opacity = '1'
    }
    //Drop listener
    ondrop(evt) {
        evt.preventDefault();
        evt.stopPropagation();
        // this.background = '#f5fcff'
        // this.opacity = '1'
        let files = evt.dataTransfer.files;
        if (files.length > 0) {
            this.onFileDropped.emit(files);
        }
    }
};
__decorate([
    Output()
], DragDropDirective.prototype, "onFileDropped", void 0);
__decorate([
    HostListener('dragover', ['$event'])
], DragDropDirective.prototype, "onDragOver", null);
__decorate([
    HostListener('dragleave', ['$event'])
], DragDropDirective.prototype, "onDragLeave", null);
__decorate([
    HostListener('drop', ['$event'])
], DragDropDirective.prototype, "ondrop", null);
DragDropDirective = __decorate([
    Directive({
        selector: '[appDragDrop]'
    })
], DragDropDirective);

let FileUploadModule = class FileUploadModule {
};
FileUploadModule = __decorate([
    NgModule({
        declarations: [FileUploadComponent, DragDropDirective, CropModalComponent],
        imports: [
            CommonModule,
            MatButtonModule,
            ButtonTextModule,
            ButtonModule,
            ButtonRoundedModule,
            MatProgressSpinnerModule,
            MatProgressBarModule,
            ImageCropperModule,
            MatIconModule,
        ],
        exports: [
            FileUploadComponent,
            MatButtonModule,
            MatProgressSpinnerModule,
            MatProgressBarModule,
            MatIconModule,
        ],
        entryComponents: [CropModalComponent],
    })
], FileUploadModule);

let SideMenuComponent = class SideMenuComponent {
    constructor(location, router) {
        this.router = router;
        this.isMenuOpen = true;
        this.isExpanded = false;
        this.showNewTab = true;
        this.signout = new EventEmitter();
        this.childIcon = true;
        this.gender = "any";
        this.menu = {};
        this.currentTab = 0;
        this.lastIndex = 0;
    }
    ngOnInit() {
        for (let i = 0; i < this.menuItems.length; i++) {
            this.menu[i] = false;
        }
        this.lastIndex = Number(localStorage.getItem("lastIndex"));
    }
    onItemSelected(item) {
        this.router.navigate([item.path]);
        if (item.tabs && item.tabs.length) {
            this.isExpanded = !this.isExpanded;
        }
    }
    onClickItem(item, i) {
        if (this.currentTab !== i) {
            this.menu[this.currentTab] = false;
            this.menu[i] = true;
            this.currentTab = i;
        }
        else {
            this.currentTab = i;
            this.menu[i] = true;
        }
        localStorage.setItem("lastIndex", String(this.currentTab));
    }
    onChildClickItem(child, i) {
        this.router.navigate([child.path], { queryParamsHandling: "merge" });
    }
    newTabClick(event, child) {
        event.stopPropagation();
        let url = `${window.origin}/${child.path}${window.location.search}`;
        window.open(url, "_blank");
    }
    logout() {
        this.signout.emit();
    }
};
SideMenuComponent.ctorParameters = () => [
    { type: Location },
    { type: Router }
];
__decorate([
    Input()
], SideMenuComponent.prototype, "item", void 0);
__decorate([
    Input()
], SideMenuComponent.prototype, "menuItems", void 0);
__decorate([
    Input()
], SideMenuComponent.prototype, "profilePic", void 0);
__decorate([
    Input()
], SideMenuComponent.prototype, "profileName", void 0);
__decorate([
    Input()
], SideMenuComponent.prototype, "showNewTab", void 0);
__decorate([
    Output()
], SideMenuComponent.prototype, "signout", void 0);
__decorate([
    Input()
], SideMenuComponent.prototype, "childIcon", void 0);
__decorate([
    Input()
], SideMenuComponent.prototype, "mobileNumber", void 0);
__decorate([
    Input()
], SideMenuComponent.prototype, "gender", void 0);
SideMenuComponent = __decorate([
    Component({
        selector: "nitrozen-side-menu",
        template: "<div class=\"profile-info\">\n  <img\n    class=\"profile-pic\"\n    src=\"../../../assets/icons/profile_pic.png\"\n    *ngIf=\"!profilePic && gender === 'any'\"\n  />\n  <img\n    class=\"profile-pic\"\n    src=\"../../../assets/icons/man.png\"\n    *ngIf=\"!profilePic && gender === 'male'\"\n  />\n  <img\n    class=\"profile-pic\"\n    src=\"../../../assets/icons/girl.png\"\n    *ngIf=\"!profilePic && gender === 'female'\"\n  />\n  <img class=\"profile-pic\" [src]=\"profilePic\" *ngIf=\"profilePic\" />\n  <div class=\"profile-name\">\n    <span *ngIf=\"!profileName\" matTooltip=\"Profile name\">Profile Name</span>\n    <span *ngIf=\"profileName\" [matTooltip]=\"profileName\">{{\n      profileName\n    }}</span>\n    <div *ngIf=\"mobileNumber\" matTooltip=\"Mobile Number\" class=\"mobile-number\">\n      {{ mobileNumber }}\n    </div>\n  </div>\n</div>\n<hr class=\"horizonal-line\" />\n<mat-nav-list>\n  <mat-accordion>\n    <mat-expansion-panel\n      class=\"mat-elevation-z0\"\n      *ngFor=\"let item of menuItems; index as i\"\n      [attr.id]=\"i\"\n      [expanded]=\"i === lastIndex\"\n    >\n      <mat-expansion-panel-header\n        (click)=\"onClickItem(item, i)\"\n        *ngIf=\"item.tabs && item.tabs.length\"\n        [ngClass]=\"{ openpanel: menu[i] }\"\n        [collapsedHeight]=\"'48px'\"\n        [expandedHeight]=\"'48px'\"\n      >\n        <mat-panel-title>\n          <div\n            class=\"panel-title\"\n            [ngClass]=\"{\n              active: menu[i],\n              'active-header': menu[i]\n            }\"\n          >\n            <mat-icon *ngIf=\"item.icon\" class=\"routeImage\">{{\n              item.icon\n            }}</mat-icon>\n            <img [src]=\"item.image\" class=\"routeImage\" *ngIf=\"item.image\" />\n            <span>{{ item.name || item.header }}</span>\n          </div>\n        </mat-panel-title>\n      </mat-expansion-panel-header>\n      <span *ngFor=\"let child of item.tabs\">\n        <mat-list-item\n          [disableRipple]=\"true\"\n          *ngIf=\"!child.hide\"\n          [disabled]=\"child.disabled\"\n          (click)=\"onChildClickItem(child, i)\"\n        >\n          <div\n            class=\"panel-title\"\n            [ngClass]=\"{\n              active: child.path ? router.isActive(child.path, true) : false,\n              disabled: child.disabled,\n              childMargin: !childIcon || !child.icon\n            }\"\n            *ngIf=\"child.path\"\n          >\n            <mat-icon *ngIf=\"child.icon && childIcon\" class=\"routeImage\">{{\n              child.icon\n            }}</mat-icon>\n            <img [src]=\"child.image\" class=\"routeImage\" *ngIf=\"child.image\" />\n            <span style=\"margin-left: 2px;\">{{\n              child.name || child.header\n            }}</span>\n            <div\n              class=\"launch-icon\"\n              *ngIf=\"showNewTab\"\n              matTooltip=\"open in new tab\"\n              (click)=\"newTabClick($event, child)\"\n            >\n              <mat-icon>launch</mat-icon>\n            </div>\n          </div>\n          <!-- <a\n            class=\"panel-title\"\n            style=\"margin-left: 19px;\"\n            [href]=\"child.link\"\n            target=\"_blank\"\n            *ngIf=\"!child.path\"\n            >{{ child.name || child.header }}\n            <mat-icon *ngIf=\"!child.path\">{{ child.icon }}</mat-icon></a\n          > -->\n        </mat-list-item>\n      </span>\n    </mat-expansion-panel>\n  </mat-accordion>\n</mat-nav-list>\n<hr class=\"horizonal-line\" />\n<div class=\"footer-info\">\n  <div class=\"signout-button\" (click)=\"logout()\">\n    <span class=\"btn-text\">Sign Out</span>\n  </div>\n  <div class=\"fynd-powered\">\n    <img class=\"logo-grey\" src=\"../../../assets/icons/fynd_logo.png\" />\n    <div class=\"fynd-text\">\n      <span class=\"logo-font\">Powered by Fynd</span>\n      <span class=\"logo-font-sub-text\">Truly Omnichannel</span>\n    </div>\n  </div>\n</div>\n\n<!-- <mat-list-item\n        (click)=\"onClickItem(item)\"\n        [disableRipple]=\"true\"\n        *ngIf=\"!item.tabs\"\n      >\n        <div\n          class=\"panel-title\"\n          [ngClass]=\"{\n            active: item.path ? router.isActive(item.path, true) : false\n          }\"\n        >\n          <mat-icon *ngIf=\"item.icon\" style=\"margin-right: 15px;\">{{\n            item.icon\n          }}</mat-icon>\n          <img\n            [src]=\"item.image\"\n            class=\"routeImage\"\n            *ngIf=\"item.image\"\n            style=\"margin-right: 15px;\"\n          />\n          {{ item.name || item.header }}\n        </div>\n      </mat-list-item> -->\n",
        animations: [
            trigger("indicatorRotate", [
                state("collapsed", style({ transform: "rotate(0deg)" })),
                state("expanded", style({ transform: "rotate(180deg)" })),
                transition("expanded <=> collapsed", animate("225ms cubic-bezier(0.4,0.0,0.2,1)")),
            ]),
        ],
        styles: [".active{color:#5c6bdd!important;font-family:Poppins!important;font-size:14px!important}.childMargin{margin-left:40px!important}.active-header{font-weight:700}.openpanel{background-color:rgba(92,107,221,.12)!important}.panel-title{display:flex;align-items:center;width:100%}.panel-title .launch-icon{display:none;margin-left:auto;justify-self:center}.panel-title:hover .routeImage,.panel-title:hover span{color:#5c6bdd}.panel-title:hover .launch-icon{color:gray;display:flex;height:24px;width:24px}.panel-title:hover .launch-icon:hover{color:#5c6bdd}.routeImage{height:24px;width:24px;margin-right:15px}.profile-info{display:flex;flex-direction:column;align-items:center;justify-content:center;min-height:134px;line-height:1;background-color:#fff}.profile-info .mobile-number{font-size:14px}.profile-info .profile{text-align:center}.profile-info .profile-pic{height:44px;width:44px}.profile-info .profile-name{width:200px;overflow:hidden;text-overflow:ellipsis;text-align:center}.profile-info .profile-name span{color:#41434c;font-family:Poppins;font-size:16px;font-weight:700;letter-spacing:0;line-height:35px}.footer-info{min-height:134px;background-color:#fff}.horizonal-line{border:1px solid #e4e5e6;margin:0!important}.signout-button{display:flex;flex-flow:row-reverse}.signout-button :hover{cursor:pointer;text-decoration:underline}.signout-button .btn-text{color:#5c6bdd;font-size:12px;line-height:18px;padding-top:15px;padding-right:16px}.fynd-powered{margin-top:30px;padding-left:18px;display:flex;align-items:center}.fynd-powered .logo-grey{-webkit-filter:grayscale(100%);filter:grayscale(100%);height:30px;width:30px}.fynd-powered .logo-font{color:#9b9b9b;font-weight:700;font-size:12px}.fynd-powered .logo-font-sub-text{color:#9b9b9b;font-weight:700;font-size:8px}.fynd-powered .fynd-text{display:flex;flex-direction:column;line-height:1.3;margin-left:4px}::ng-deep.mat-list-base{padding-top:0!important}::ng-deep.mat-expansion-panel-header{font-family:Poppins!important;font-size:14px!important;color:#4d4d4e!important;padding:0 18px!important}::ng-deep.mat-expansion-panel-header:hover{background-color:rgba(92,107,221,.12)!important}::ng-deep.mat-panel-title{font-weight:700!important}::ng-deep.mat-expansion-panel-spacing{margin:0!important}::ng-deep .mat-expansion-panel-body{padding:0!important}::ng-deep .mat-list-item-content{font-family:Poppins!important;font-size:14px!important;color:#4d4d4e!important}::ng-deep .mat-list-item-content:hover{background-color:rgba(92,107,221,.12)!important}::ng-deep .mat-drawer-inner-container{overflow-x:hidden;overflow-y:scroll;-ms-overflow-style:none;overflow:-moz-scrollbars-none}::ng-deep .mat-drawer-inner-container::-webkit-scrollbar{display:none}.hide{display:none!important}"]
    })
], SideMenuComponent);

let SideMenuModule = class SideMenuModule {
};
SideMenuModule = __decorate([
    NgModule({
        declarations: [SideMenuComponent],
        imports: [
            CommonModule,
            MatListModule,
            MatExpansionModule,
            MatSidenavModule,
            MatIconModule,
            MatTooltipModule,
        ],
        exports: [
            SideMenuComponent,
            MatListModule,
            MatExpansionModule,
            MatSidenavModule,
            MatIconModule,
            MatTooltipModule,
        ],
    })
], SideMenuModule);

const dateRangePickerAnimation = [
    trigger("drpAnim", [
        state("in", style({ opacity: 0 })),
        transition(":leave", [
            style({ opacity: 1 }),
            animate("200ms ease-in", style({ opacity: "0" })),
        ]),
        transition(":enter", [
            style({ opacity: 0 }),
            animate("200ms ease-in", style({ opacity: "1" })),
        ]),
    ]),
];

let DateRangePickerComponent = class DateRangePickerComponent {
    constructor() {
        this.date = new Date();
        this.onDateChange = new EventEmitter();
        this.startDate = null;
        this.endDate = null;
        this.format = "DD/MM/YYYY";
        this.disabled = false;
        this.showCalOptions = true;
        this.showTimePicker = false;
        this.fromMin = new Date(this.date.getFullYear() - 30, this.date.getMonth(), 1);
        this.fromMax = new Date(this.date.getFullYear(), this.date.getMonth(), this.date.getDate());
        this.toMin = new Date(this.date.getFullYear() - 10, this.date.getMonth(), 1);
        this.toMax = new Date(this.date.getFullYear() + 10, this.date.getMonth(), this.date.getDate() + 5);
        this.startDateTime = "";
        this.endDateTime = "";
        this.right = false;
        this.bottom = false;
        this.weekDays = ["S", "M", "T", "W", "T", "F", "S"];
        this.daysArr = [];
        this.years = [];
        this.months = [
            "January",
            "February",
            "March",
            "April",
            "May",
            "June",
            "July",
            "August",
            "September",
            "October",
            "November",
            "December",
        ];
        this.options = [
            {
                id: 0,
                name: "Yesterday",
                startDate: moment(this.date).subtract(1, "days"),
                endDate: moment(this.date).subtract(0, "days"),
            },
            {
                id: 1,
                name: "Last 7 Days",
                startDate: moment(this.date).subtract(7, "days"),
                endDate: moment(this.date).subtract(0, "days"),
            },
            {
                id: 2,
                name: "Last 30 Days",
                startDate: moment(this.date).subtract(30, "days"),
                endDate: moment(this.date).subtract(0, "days"),
            },
            {
                id: 3,
                name: "This Month",
                startDate: moment(this.date).startOf("month"),
                endDate: moment(this.date).endOf("month"),
            },
            {
                id: 4,
                name: "Last Month",
                startDate: moment(this.date).subtract(1, "month").startOf("month"),
                endDate: moment(this.date).subtract(1, "month").endOf("month"),
            },
            {
                id: 5,
                name: "Last 3 Months",
                startDate: moment(this.date).subtract(3, "month"),
                endDate: moment(this.date).subtract(0, "days"),
            },
        ];
        this.currentTime = moment().format("LT");
        this.showDrp = false;
        this.isMonthChanged = false;
        this.isYearChanged = false;
        this.disablePrevious = false;
        this.disableNext = false;
        this.startDateCalendar = false;
        this.endDateCalendar = false;
        this.startDatePlaceholder = "11/07/2020";
        this.endDatePlaceholder = "12/07/2020";
        this.meridiem = ["AM", "PM"];
        this.isMeridiemChanged = false;
        this.animationState = "in";
        this.mmmDDYYYYFormat = false;
    }
    onClickedOutside(e) {
        if (!this.isMonthChanged &&
            !this.isYearChanged &&
            !this.isMeridiemChanged) {
            this.showDrp = false;
            this.animationState = "in";
        }
    }
    ngOnInit() {
        if (this.format == "MMM DD, YYYY") {
            this.mmmDDYYYYFormat = true;
            this.startDatePlaceholder = "Dec 06, 2020";
            this.endDatePlaceholder = "Dec 07, 2020";
        }
        this.startDateCalendar = true;
        this.generateYearsArr(this.fromMin.getFullYear(), this.fromMax.getFullYear());
        this.daysArr = this.createCalendar(this.date);
        //set current date month and year
        this.selectedMonth = this.months.filter((m) => m == moment(this.date).format("MMMM"))[0];
        this.selectedYear = this.years.filter((y) => y == moment(this.date).format("YYYY"))[0];
        if (this.startDateTime && this.endDateTime) {
            this.startDateHours = this.startDateTime.substr(0, this.startDateTime.indexOf(":"));
            this.startDateMinutes = this.startDateTime.substr(this.startDateTime.indexOf(":") + 1, 2);
            this.startDateMeridiem = this.startDateTime.substr(this.startDateTime.indexOf(" ") + 1, this.startDateTime.length);
            this.endDateHours = this.endDateTime.substr(0, this.endDateTime.indexOf(":"));
            this.endDateMinutes = this.endDateTime.substr(this.endDateTime.indexOf(":") + 1, 2);
            this.endDateMeridiem = this.endDateTime.substr(this.endDateTime.indexOf(" ") + 1, this.endDateTime.length);
            this.startDate = moment(this.startDate)
                .set("hour", this.startDateHours)
                .set("minute", this.startDateMinutes);
            this.endDate = moment(this.endDate)
                .set("hour", this.endDateHours)
                .set("minute", this.endDateMinutes);
        }
        //set start and end date
        if (this.startDate && this.endDate) {
            this.startDateCalendar = false;
            this.endDateCalendar = true;
            this.generateYearsArr(this.toMin.getFullYear(), this.toMax.getFullYear());
            this.startDate = moment(this.startDate, "DD/MM/YYYY").format(this.format);
            this.endDate = moment(this.endDate, "DD/MM/YYYY").format(this.format);
            let startDateFormatted = moment(this.startDate, this.format).toDate();
            let endDateFormatted = moment(this.endDate, this.format).toDate();
            this.daysArr = this.createCalendar(endDateFormatted);
            this.date = endDateFormatted;
            this.selectedMonth = this.months.filter((m) => m == moment(endDateFormatted).format("MMMM"))[0];
            this.selectedYear = this.years.filter((y) => y == moment(endDateFormatted).format("YYYY"))[0];
            this.setStartAndEndDate(startDateFormatted, endDateFormatted, this.daysArr);
        }
    }
    generateYearsArr(startYear, endYear) {
        let tempArr = [];
        for (let i = parseInt(startYear); i <= parseInt(endYear); i++) {
            tempArr.push(i);
        }
        this.years = tempArr;
    }
    createCalendar(date) {
        //get first day of month
        let firstDay = moment(date).startOf("M");
        let daysInMonth = new Date(date.getFullYear(), date.getMonth() + 1, 0).getDate();
        //create days array of current month
        let days = Array.apply(null, { length: daysInMonth })
            .map(Number.call, Number)
            .map((m) => {
            return moment(firstDay).add(m, "d");
        });
        //map each date to correct weekday
        for (let i = 0; i < firstDay.weekday(); i++) {
            days.unshift(null);
        }
        return days;
    }
    setStartAndEndDate(startDate, endDate, daysArr) {
        for (let i = 0; i < daysArr.length; i++) {
            if (daysArr[i] != null) {
                let day = daysArr[i]["_d"];
                if (day.getDate() == startDate.getDate() &&
                    day.getMonth() == startDate.getMonth() &&
                    day.getFullYear() == startDate.getFullYear()) {
                    this.startDateSelected = i;
                }
                if (day.getDate() == endDate.getDate() &&
                    day.getMonth() == endDate.getMonth() &&
                    day.getFullYear() == endDate.getFullYear()) {
                    this.endDateSelected = i;
                }
            }
        }
        this.setCalendarOption(this.startDate, this.endDate);
    }
    setCurrentDate(day) {
        if (!day) {
            return false;
        }
        return moment().format("L") === day.format("L");
    }
    onMonthChange(month) {
        this.isMonthChanged = true;
        this.selectedMonth = month;
        for (let i = 0; i < this.months.length; i++) {
            if (this.months[i] == this.selectedMonth) {
                this.selectedMonthID = i;
            }
        }
        //get the first day of selected month and year
        const firstDay = moment([this.selectedYear, this.selectedMonthID, 0o1]);
        this.date = firstDay["_d"];
        this.daysArr = this.createCalendar(this.date);
        this.optionSelected = null;
        let startDateFormatted = moment(this.startDate, this.format).toDate();
        let endDateFormatted = moment(this.endDate, this.format).toDate();
        if (startDateFormatted != firstDay["_d"]) {
            this.startDateSelected = null;
            this.endDateSelected = null;
        }
        if ((startDateFormatted.getMonth() == this.selectedMonthID &&
            startDateFormatted.getFullYear() == this.selectedYear) ||
            (endDateFormatted.getMonth() == this.selectedMonthID &&
                endDateFormatted.getFullYear() == this.selectedYear)) {
            this.setStartAndEndDate(startDateFormatted, endDateFormatted, this.daysArr);
        }
    }
    onYearChange(year) {
        this.isYearChanged = true;
        this.selectedYear = year;
        for (let i = 0; i < this.months.length; i++) {
            if (this.months[i] == this.selectedMonth) {
                this.selectedMonthID = i;
            }
        }
        //get the first day of selected month and year
        const firstDay = moment([this.selectedYear, this.selectedMonthID, 0o1]);
        this.date = firstDay["_d"];
        this.daysArr = this.createCalendar(this.date);
        this.optionSelected = null;
        let startDateFormatted = moment(this.startDate, this.format).toDate();
        let endDateFormatted = moment(this.endDate, this.format).toDate();
        if (startDateFormatted != firstDay["_d"]) {
            this.startDateSelected = null;
            this.endDateSelected = null;
        }
        if ((startDateFormatted.getMonth() == this.selectedMonthID &&
            startDateFormatted.getFullYear() == this.selectedYear) ||
            (endDateFormatted.getMonth() == this.selectedMonthID &&
                endDateFormatted.getFullYear() == this.selectedYear)) {
            this.setStartAndEndDate(startDateFormatted, endDateFormatted, this.daysArr);
        }
    }
    previousMonth() {
        this.disableNext = false;
        //get previous month
        let prevMonth = moment(this.date).subtract(1, "M");
        this.date = prevMonth["_d"];
        this.selectedMonth = moment(this.date).format("MMMM");
        this.selectedYear = parseInt(moment(this.date).format("YYYY"));
        if (!this.months.includes(this.selectedMonth)) {
            this.months.push(this.selectedMonth);
        }
        if (!this.years.includes(this.selectedYear)) {
            this.years.unshift(this.selectedYear);
        }
        this.onMonthChange(this.selectedMonth);
        this.isMonthChanged = false; // check if the month is changed from dropdown
        this.isYearChanged = false; // check if the year is changed from dropdown
        if (this.startDateCalendar) {
            if (this.selectedMonthID == 0 &&
                this.selectedYear == this.fromMin.getFullYear()) {
                this.disablePrevious = true;
                this.disableNext = false;
            }
        }
        if (this.endDateCalendar) {
            if (this.selectedMonthID == 0 &&
                this.selectedYear == this.toMin.getFullYear()) {
                this.disablePrevious = true;
                this.disableNext = false;
            }
        }
    }
    nextMonth() {
        this.disablePrevious = false;
        //get next month
        let nexMonth = moment(this.date).add(1, "M");
        this.date = nexMonth["_d"];
        this.selectedMonth = moment(this.date).format("MMMM");
        this.selectedYear = parseInt(moment(this.date).format("YYYY"));
        if (!this.months.includes(this.selectedMonth)) {
            this.months.push(this.selectedMonth);
        }
        if (!this.years.includes(this.selectedYear)) {
            this.years.push(this.selectedYear);
        }
        this.onMonthChange(this.selectedMonth);
        this.isMonthChanged = false; // check if the month is changed from dropdown
        this.isYearChanged = false; // check if the year is changed from dropdown
        if (this.startDateCalendar) {
            if (this.selectedMonthID == 11 &&
                this.selectedYear == this.fromMax.getFullYear()) {
                this.disableNext = true;
                this.disablePrevious = false;
            }
        }
        if (this.endDateCalendar) {
            if (this.selectedMonthID == 11 &&
                this.selectedYear == this.toMax.getFullYear()) {
                this.disableNext = true;
                this.disablePrevious = false;
            }
        }
    }
    startDateCalendarClick() {
        let startDateFormatted = moment(this.startDate, this.format).toDate();
        let endDateFormatted = moment(this.endDate, this.format).toDate();
        this.startDateCalendar = true;
        this.endDateCalendar = false;
        this.generateYearsArr(this.fromMin.getFullYear(), this.fromMax.getFullYear());
        if (this.startDate) {
            this.endDateSelected = null;
            this.daysArr = this.createCalendar(startDateFormatted);
            this.date = startDateFormatted;
            this.selectedMonth = this.months.filter((m) => m == moment(startDateFormatted).format("MMMM"))[0];
            this.selectedYear = this.years.filter((y) => y == moment(startDateFormatted).format("YYYY"))[0];
        }
        this.setStartAndEndDate(startDateFormatted, endDateFormatted, this.daysArr);
    }
    endDateCalendarClick() {
        let startDateFormatted = moment(this.startDate, this.format).toDate();
        let endDateFormatted = moment(this.endDate, this.format).toDate();
        this.endDateCalendar = true;
        this.startDateCalendar = false;
        this.generateYearsArr(this.toMin.getFullYear(), this.toMax.getFullYear());
        if (this.endDate) {
            this.startDateSelected = null;
            this.daysArr = this.createCalendar(endDateFormatted);
            this.date = endDateFormatted;
            this.selectedMonth = this.months.filter((m) => m == moment(endDateFormatted).format("MMMM"))[0];
            this.selectedYear = this.years.filter((y) => y == moment(endDateFormatted).format("YYYY"))[0];
            this.setStartAndEndDate(startDateFormatted, endDateFormatted, this.daysArr);
        }
    }
    setDate(day) {
        this.optionSelected = null;
        let dayFormatted = moment(day["_d"]).format(this.format);
        if (this.startDateCalendar) {
            this.startDate = dayFormatted;
            this.setStartDate(day);
            if (!this.endDate) {
                this.endDateCalendarClick();
            }
        }
        if (this.endDateCalendar) {
            this.endDate = dayFormatted;
            this.setEndDate(day);
        }
        this.isMonthChanged = false;
        this.isYearChanged = false;
        this.setCalendarOption(this.startDate, this.endDate);
        this.setInputDate();
    }
    setStartDate(day) {
        for (let i = 0; i <= this.daysArr.length; i++) {
            if (this.daysArr[i] != null) {
                if (this.daysArr[i] == day) {
                    this.startDateSelected = i;
                }
            }
        }
    }
    setEndDate(day) {
        for (let i = 0; i <= this.daysArr.length; i++) {
            if (this.daysArr[i] != null) {
                if (this.daysArr[i] == day) {
                    this.endDateSelected = i;
                }
            }
        }
        let startDate = moment(this.startDate, this.format).toDate();
        let endDate = moment(this.endDate, this.format).toDate();
        this.getAllDates(startDate, endDate);
    }
    getAllDates(startDate, endDate) {
        let dateArray = [];
        let currentDate = moment(startDate);
        let stopDate = moment(endDate);
        while (currentDate <= stopDate) {
            dateArray.push(moment(currentDate));
            currentDate = moment(currentDate).add(1, "days");
        }
        return dateArray;
    }
    isSelected(day) {
        if (!day) {
            return false;
        }
        let startDateMoment = moment(this.startDate, this.format);
        let endDateMoment = moment(this.endDate, this.format);
        return (startDateMoment.isSameOrBefore(day) && endDateMoment.isSameOrAfter(day));
    }
    isLessThan(day) {
        // persisting if end date is less than start date
        if (!day) {
            return false;
        }
        let startDateMoment = moment(this.fromMin, this.format);
        let endDateMoment = moment(this.startDate, this.format);
        return (startDateMoment.isSameOrBefore(day) && endDateMoment.isSameOrAfter(day));
    }
    isGreaterThan(day) {
        // persisting if start date is greater than end date
        if (!day) {
            return false;
        }
        let startDateMoment = moment(this.endDate, this.format);
        let endDateMoment = moment(this.fromMax, this.format);
        return (startDateMoment.isSameOrBefore(day) && endDateMoment.isSameOrAfter(day));
    }
    isDisabled(day) {
        let disableDateFrom;
        let disableDateTo;
        if (!day) {
            return false;
        }
        if (this.startDateCalendar) {
            let from = moment([
                this.fromMax.getFullYear(),
                this.fromMax.getMonth(),
                this.fromMax.getDate() + 1,
            ]);
            disableDateFrom = moment(moment(from));
            let to = moment([this.fromMax.getFullYear(), 11, 0o1]);
            disableDateTo = moment(moment(to).endOf("month"));
        }
        if (this.endDateCalendar) {
            let from = moment([
                this.toMax.getFullYear(),
                this.toMax.getMonth(),
                this.toMax.getDate() + 1,
            ]);
            disableDateFrom = moment(moment(from));
            let to = moment([this.toMax.getFullYear(), 11, 0o1]);
            disableDateTo = moment(moment(to).endOf("month"));
        }
        let startDateMoment = moment(disableDateFrom, this.format);
        let endDateMoment = moment(disableDateTo, this.format);
        return (startDateMoment.isSameOrBefore(day) && endDateMoment.isSameOrAfter(day));
    }
    toggleDateRangePicker() {
        this.showDrp = !this.showDrp;
        this.animationState = this.animationState === "out" ? "in" : "out";
    }
    showDateRangePicker() {
        this.showDrp = true;
    }
    onCalOptionClick(calendarOption) {
        let option = this.options.filter((o) => o.name == calendarOption.target.innerHTML.trim())[0];
        this.optionSelected = option.id;
        this.daysArr = this.createCalendar(option.endDate["_d"]);
        this.startDate = moment(option.startDate["_d"]).format(this.format);
        this.endDate = moment(option.endDate["_d"]).format(this.format);
        this.endDateCalendarClick();
        //set startdate and enddate selected
        for (let i = 0; i < this.daysArr.length; i++) {
            if (this.daysArr[i] != null) {
                // if (
                //   this.daysArr[i]["_d"].getDate() === option.startDate["_d"].getDate()
                // ) {
                //   this.startDateSelected = i;
                // }
                if (this.daysArr[i]["_d"].getDate() === option.endDate["_d"].getDate()) {
                    this.endDateSelected = i;
                }
            }
        }
        this.selectedMonth = moment(option.endDate["_d"]).format("MMMM");
        this.selectedYear = moment(option.endDate["_d"]).format("YYYY");
        if (!this.years.includes(this.selectedYear)) {
            this.years.push(this.selectedYear);
        }
        this.setInputDate();
        this.showDrp = false;
        this.animationState = "in";
    }
    setCalendarOption(startDate, endDate) {
        startDate = moment(startDate, this.format).toDate();
        endDate = moment(endDate, this.format).toDate();
        this.options.forEach((o) => {
            if (o.startDate["_d"].getDate() == startDate.getDate() &&
                o.startDate["_d"].getMonth() == startDate.getMonth() &&
                o.startDate["_d"].getFullYear() == startDate.getFullYear() &&
                o.endDate["_d"].getDate() == endDate.getDate() &&
                o.endDate["_d"].getMonth() == endDate.getMonth() &&
                o.endDate["_d"].getFullYear() == endDate.getFullYear()) {
                this.optionSelected = o.id;
            }
        });
    }
    setHours(event) {
        let inputValue = event.target.value;
        let maxLength = 2;
        if (inputValue.length > maxLength) {
            inputValue = inputValue.slice(0, maxLength);
            if (this.startDateCalendar) {
                this.startDateHours = inputValue;
                this.startDate = moment(this.startDate).set("hour", this.startDateHours);
            }
            if (this.endDateCalendar) {
                this.endDateHours = inputValue;
                this.endDate = moment(this.endDate).set("hour", this.endDateHours);
            }
        }
    }
    setMinutes(event) {
        let inputValue = null;
        inputValue = event.target.value;
        let maxLength = 2;
        if (inputValue.length > maxLength) {
            inputValue = inputValue.slice(0, maxLength);
            if (this.startDateCalendar) {
                this.startDateMinutes = inputValue;
                this.startDate = moment(this.startDate).set("minute", this.startDateMinutes);
            }
            if (this.endDateCalendar) {
                this.endDateMinutes = inputValue;
                this.endDate = moment(this.endDate).set("minute", this.endDateMinutes);
            }
        }
    }
    onMeridiemChange(e) {
        this.isMeridiemChanged = true;
    }
    onInput(inputValue) {
        //restrict inputLength
        let maxLength = 2;
        if (inputValue.length > maxLength) {
            inputValue = inputValue.slice(0, maxLength);
            if (this.startDateCalendar) {
                this.startDateHours = inputValue;
            }
            if (this.endDateCalendar) {
                this.endDateHours = inputValue;
            }
        }
    }
    setInputDate() {
        this.onDateChange.emit({
            startDate: this.startDate,
            endDate: this.endDate,
        });
    }
};
__decorate([
    Output()
], DateRangePickerComponent.prototype, "onDateChange", void 0);
__decorate([
    Input()
], DateRangePickerComponent.prototype, "startDate", void 0);
__decorate([
    Input()
], DateRangePickerComponent.prototype, "endDate", void 0);
__decorate([
    Input()
], DateRangePickerComponent.prototype, "format", void 0);
__decorate([
    Input()
], DateRangePickerComponent.prototype, "disabled", void 0);
__decorate([
    Input()
], DateRangePickerComponent.prototype, "showCalOptions", void 0);
__decorate([
    Input()
], DateRangePickerComponent.prototype, "showTimePicker", void 0);
__decorate([
    Input()
], DateRangePickerComponent.prototype, "fromMin", void 0);
__decorate([
    Input()
], DateRangePickerComponent.prototype, "fromMax", void 0);
__decorate([
    Input()
], DateRangePickerComponent.prototype, "toMin", void 0);
__decorate([
    Input()
], DateRangePickerComponent.prototype, "toMax", void 0);
__decorate([
    Input()
], DateRangePickerComponent.prototype, "startDateTime", void 0);
__decorate([
    Input()
], DateRangePickerComponent.prototype, "endDateTime", void 0);
__decorate([
    Input()
], DateRangePickerComponent.prototype, "right", void 0);
__decorate([
    Input()
], DateRangePickerComponent.prototype, "bottom", void 0);
DateRangePickerComponent = __decorate([
    Component({
        selector: "nitrozen-date-range-picker",
        template: "<div (clickOutside)=\"onClickedOutside($event)\" class=\"drp-container\">\n  <div\n    [ngClass]=\"[\n      showTimePicker ? 'date-range-time-container' : 'date-range-container',\n      mmmDDYYYYFormat ? 'mmmDDYYYYFormatInput' : ''\n    ]\"\n    (click)=\"toggleDateRangePicker()\"\n  >\n    <input\n      class=\"startDateInput date-input\"\n      type=\"text\"\n      [placeholder]=\"startDatePlaceholder\"\n      [(ngModel)]=\"startDate\"\n      readonly\n    />\n    <div *ngIf=\"showTimePicker\" class=\"time-input\">\n      <input\n        type=\"text\"\n        placeholder=\"11\"\n        class=\"hh\"\n        [(ngModel)]=\"startDateHours\"\n        readonly\n      />\n      <span>:</span>\n      <input\n        type=\"text\"\n        placeholder=\"20\"\n        class=\"mm\"\n        [(ngModel)]=\"startDateMinutes\"\n        readonly\n      />\n      <input\n        type=\"text\"\n        placeholder=\"AM\"\n        class=\"meridiem\"\n        [(ngModel)]=\"startDateMeridiem\"\n      />\n    </div>\n\n    <span>to</span>\n    <input\n      class=\"endDateInput date-input\"\n      type=\"text\"\n      [placeholder]=\"endDatePlaceholder\"\n      [(ngModel)]=\"endDate\"\n      readonly\n    />\n\n    <div *ngIf=\"showTimePicker\" class=\"time-input\">\n      <input\n        type=\"text\"\n        placeholder=\"11\"\n        class=\"hh\"\n        [(ngModel)]=\"endDateHours\"\n        readonly\n      />\n      <span>:</span>\n      <input\n        type=\"text\"\n        placeholder=\"20\"\n        class=\"mm\"\n        [(ngModel)]=\"endDateMinutes\"\n        readonly\n      />\n      <input\n        type=\"text\"\n        placeholder=\"AM\"\n        class=\"meridiem\"\n        [(ngModel)]=\"endDateMeridiem\"\n      />\n    </div>\n    <span class=\"icon\"\n      ><img class=\"cal-icon\" src=\"../../../assets/icons/calendar-line.svg\"\n    /></span>\n  </div>\n\n  <div\n    [@drpAnim]=\"animationState\"\n    class=\"calendar-div\"\n    *ngIf=\"showDrp\"\n    [ngClass]=\"[\n      disabled ? 'isDisabled' : '',\n      right ? 'alignRight' : '',\n      bottom ? 'alignBottom' : ''\n    ]\"\n  >\n    <div id=\"calendar-container\" class=\"calendar\">\n      <div class=\"date-time-display-section\">\n        <div\n          class=\"date-display-section\"\n          [ngClass]=\"[showTimePicker ? 'my-class' : '']\"\n        >\n          <div\n            class=\"from\"\n            (click)=\"startDateCalendarClick()\"\n            [ngClass]=\"[startDateCalendar ? 'fromActive' : '']\"\n          >\n            <span>From :</span>\n            <input [(ngModel)]=\"startDate\" placeholder=\"11/07/2020\" readonly />\n          </div>\n          <div\n            class=\"to\"\n            (click)=\"endDateCalendarClick()\"\n            [ngClass]=\"[\n              !startDate ? 'not-enabled' : '',\n              endDateCalendar ? 'toActive' : ''\n            ]\"\n          >\n            <span>To :</span>\n            <input [(ngModel)]=\"endDate\" placeholder=\"11/07/2020\" readonly />\n          </div>\n        </div>\n        <div class=\"time-display-section\" *ngIf=\"showTimePicker\">\n          <div\n            class=\"from-time\"\n            (click)=\"startDateCalendarClick()\"\n            [ngClass]=\"[startDateCalendar ? 'fromActive' : '']\"\n          >\n            <mat-icon>query_builder</mat-icon>\n            <!-- <span> : </span> -->\n            <div class=\"time-input-container\">\n              <input\n                type=\"number\"\n                placeholder=\"11\"\n                min=\"1\"\n                max=\"12\"\n                maxlength=\"2\"\n                (keyup)=\"setHours($event)\"\n                [(ngModel)]=\"startDateHours\"\n              />\n              <span>:</span>\n              <input\n                type=\"number\"\n                name=\"\"\n                id=\"\"\n                placeholder=\"20\"\n                min=\"1\"\n                max=\"60\"\n                maxlength=\"2\"\n                [(ngModel)]=\"startDateMinutes\"\n                (keyup)=\"setMinutes($event)\"\n              />\n              <!-- <input\n                type=\"text\"\n                placeholder=\"AM\"\n                class=\"meridiem\"\n                [(ngModel)]=\"startDateMeridiem\"\n              /> -->\n\n              <mat-select\n                [(ngModel)]=\"startDateMeridiem\"\n                (ngModelChange)=\"onMeridiemChange($event)\"\n                class=\"meridiem-class\"\n                placeholder=\"AM\"\n              >\n                <mat-option *ngFor=\"let m of meridiem\" [value]=\"m\">\n                  <span class=\"meridiem\">{{ m }}</span>\n                </mat-option>\n              </mat-select>\n            </div>\n          </div>\n          <div\n            class=\"to-time\"\n            (click)=\"endDateCalendarClick()\"\n            [ngClass]=\"[\n              !startDate ? 'not-enabled' : '',\n              endDateCalendar ? 'toActive' : ''\n            ]\"\n          >\n            <mat-icon>query_builder</mat-icon>\n            <!-- <span> : </span> -->\n            <div class=\"time-input-container\">\n              <input\n                type=\"number\"\n                placeholder=\"11\"\n                min=\"1\"\n                max=\"12\"\n                maxlength=\"2\"\n                (keyup)=\"setHours($event)\"\n                [(ngModel)]=\"endDateHours\"\n              />\n              <span>:</span>\n              <input\n                type=\"number\"\n                name=\"\"\n                id=\"\"\n                placeholder=\"20\"\n                min=\"1\"\n                max=\"60\"\n                maxlength=\"2\"\n                pattern=\"0?[1-9]|1[0-2]\"\n                [(ngModel)]=\"endDateMinutes\"\n                (keyup)=\"setMinutes($event)\"\n              />\n              <!-- <input\n                type=\"text\"\n                placeholder=\"AM\"\n                class=\"meridiem\"\n                [(ngModel)]=\"endDateMeridiem\"\n              /> -->\n\n              <mat-select\n                [(ngModel)]=\"endDateMeridiem\"\n                (ngModelChange)=\"onMeridiemChange($event)\"\n                class=\"meridiem-class\"\n                placeholder=\"AM\"\n              >\n                <mat-option *ngFor=\"let m of meridiem\" [value]=\"m\">\n                  <span class=\"meridiem\">{{ m }}</span>\n                </mat-option>\n              </mat-select>\n            </div>\n          </div>\n        </div>\n      </div>\n      <div class=\"calendar-month\">\n        <mat-icon\n          class=\"icons\"\n          (click)=\"previousMonth()\"\n          [ngClass]=\"disablePrevious ? 'a' : ''\"\n          >navigate_before</mat-icon\n        >\n        <div class=\"select-wrapper\">\n          <mat-select\n            [(ngModel)]=\"selectedMonth\"\n            (ngModelChange)=\"onMonthChange($event)\"\n            class=\"month\"\n          >\n            <mat-option *ngFor=\"let month of months\" [value]=\"month\">\n              {{ month }}\n            </mat-option>\n          </mat-select>\n          <mat-select\n            [(ngModel)]=\"selectedYear\"\n            (ngModelChange)=\"onYearChange($event)\"\n            class=\"year\"\n          >\n            <mat-option *ngFor=\"let year of years\" [value]=\"year\">{{\n              year\n            }}</mat-option>\n          </mat-select>\n        </div>\n        <mat-icon\n          class=\"icons\"\n          (click)=\"nextMonth()\"\n          [ngClass]=\"disableNext ? 'a' : ''\"\n          >navigate_next</mat-icon\n        >\n      </div>\n      <span class=\"space\"></span>\n      <div class=\"calendar-top\">\n        <div *ngFor=\"let weekday of weekDays\">\n          <div class=\"calendar-weekdays\">{{ weekday }}</div>\n        </div>\n      </div>\n      <div class=\"calendar-bottom\">\n        <div *ngFor=\"let day of daysArr; let i = index\">\n          <div\n            class=\"calendar-days\"\n            (click)=\"setDate(day)\"\n            [ngClass]=\"{\n              inactive: !day,\n              currentDate: setCurrentDate(day),\n              range: isSelected(day),\n              endDateLessThan: this.endDateCalendar && isLessThan(day),\n              startDateGreaterThan:\n                this.startDateCalendar && isGreaterThan(day),\n              disableDates: isDisabled(day),\n              startDate: i == startDateSelected,\n              endDate: i == endDateSelected,\n              startDateDisabled: disabled && i == startDateSelected,\n              endDateDisabled: disabled && i == endDateSelected\n            }\"\n          >\n            {{ day?.date() }}\n          </div>\n        </div>\n      </div>\n    </div>\n    <div class=\"calendar-options\" *ngIf=\"showCalOptions\">\n      <ul\n        *ngFor=\"let option of options; let i = index\"\n        (click)=\"onCalOptionClick($event)\"\n      >\n        <li [ngClass]=\"{ optionStyle: i == optionSelected }\">\n          {{ option.name }}\n        </li>\n      </ul>\n    </div>\n  </div>\n</div>\n",
        animations: [dateRangePickerAnimation],
        styles: [".drp-container{position:relative}.drp-container .date-range-container{box-sizing:border-box;height:40px;width:245px;border:1px solid #d7d7d7;border-radius:3px;background-color:#fff;display:flex;align-items:center;cursor:pointer!important;position:relative}.drp-container .date-range-container .date-input{font-size:15px;font-family:Poppins;border:none!important;outline:0!important;cursor:pointer;text-align:center!important;padding:0!important}.drp-container .date-range-container span{width:20px;display:flex;justify-content:center;align-items:center}.drp-container .date-range-container .cal-icon{margin:5px 5px 5px 0;position:absolute;top:7%;right:0}.drp-container .mmmDDYYYYFormatInput{width:265px}.drp-container .mmmDDYYYYFormatInput .date-input{width:105px}.drp-container .date-range-time-container{box-sizing:border-box;height:40px;width:405px;border:1px solid #d7d7d7;border-radius:3px;background-color:#fff;display:flex;align-items:center;cursor:pointer!important}.drp-container .date-range-time-container .date-input{font-size:15px;font-family:Poppins;border:none!important;outline:0!important;cursor:pointer;text-align:center!important;padding:0!important}.drp-container .date-range-time-container .hh,.drp-container .date-range-time-container .mm{font-size:15px;width:16.5px;border:none!important;outline:0!important;text-align:right}.drp-container .date-range-time-container .meridiem{font-size:15px;width:30px;border:none!important;outline:0!important}.drp-container .calendar-div{display:flex;justify-content:space-between;align-items:center;box-shadow:0 8px 24px 0 #dadada;position:absolute;z-index:100;background-color:#fff}.drp-container .calendar-div .calendar{display:flex;flex-direction:column;justify-content:center;align-items:center}.drp-container .calendar-div .calendar .calendar-month{width:100%;display:flex;justify-content:space-between}.drp-container .calendar-div .calendar .space{height:20px}.drp-container .calendar-div .calendar .calendar-top{display:flex;justify-content:center;align-items:center}.drp-container .calendar-div .calendar .calendar-top .calendar-weekdays{color:rgba(0,0,0,.38);font-weight:600}.drp-container .calendar-div .calendar .calendar-bottom{display:flex;flex-wrap:wrap}.drp-container .calendar-div .calendar-options{width:195px;display:flex;flex-direction:column}.drp-container .calendar-div .calendar-options ul{list-style:none;margin:0 0 10px;padding-left:30px}.drp-container .calendar-div .calendar-options ul li{font-size:15px;color:#a4a4a4;cursor:pointer}.drp-container .calendar-div .calendar-options ul li:hover{font-weight:500;color:#5c6bdd!important}.calendars{display:flex;justify-content:space-between;align-items:center}.alignRight{right:0!important}.alignBottom{bottom:103%!important}.calendar-days,.calendar-weekdays{display:flex;justify-content:center;align-items:center;width:30px;height:30px;font-size:12px;font-family:Poppins;margin:4px;cursor:pointer}.calendar-days:hover{border-radius:50%;background-color:rgba(0,0,0,.04)}.calendar-dates{display:flex;flex-wrap:wrap}#calendar-container{width:268px;padding:25px;background-color:#fff}.inactive{opacity:.6}.icons{cursor:pointer}.selected{background-color:orange;opacity:.6}.select:active,select{border:none!important;outline:0!important;width:auto!important}select{-webkit-appearance:none}option{box-shadow:0 8px 24px 0 #dadada!important;height:20px!important;padding:10px!important}.currentDate{border:1px solid #000;border-radius:50%}.endDate,.startDate{background-color:#5c6bdd!important;border-radius:50%;color:#fff;font-weight:600}.range{background-color:rgba(92,107,221,.12)}.disableDates{color:#ccc;pointer-events:none}.date-range-container:active,.date-range-time-container:active{border:1px solid #5c6bdd!important}.time-input{font-family:Poppins;border:none!important;outline:0!important;cursor:pointer!important;display:flex}.date-range-container .date-input{width:95px}.date-range-time-container .date-input{width:90px;margin-left:10px}::-moz-placeholder{color:#a4a4a4}::-ms-input-placeholder{color:#a4a4a4}::placeholder{color:#a4a4a4}.icon{display:flex}.optionStyle{font-weight:500;color:#5c6bdd!important}.select-wrapper{display:flex;justify-content:center;width:100%}.select-wrapper .month{width:102px!important;text-align:right;font-family:Poppins;font-size:14px}.select-wrapper .year{width:65px;font-family:Poppins;font-size:14px}.isDisabled{pointer-events:none!important}.endDateDisabled,.startDateDisabled{opacity:.4}.a{pointer-events:none!important}.date-time-display-section{width:100%}.date-time-display-section .date-display-section{width:100%;display:flex;justify-content:space-between;align-items:center;margin-bottom:20px}.date-time-display-section .my-class{margin-bottom:5px}.date-time-display-section .time-display-section{width:100%;display:flex;justify-content:space-between;align-items:center;margin-bottom:20px}.date-time-display-section .name{display:flex;justify-content:center;font-size:14px;color:#c2c2c2}.calendars .date-display-section div,.calendars .time-display-section div{width:200px;padding:5px 0;cursor:pointer!important}.fromActive,.toActive{color:#5c6bdd;font-weight:600}.to{display:flex;justify-content:flex-end;align-items:center}.date-display-section span,.time-display-section span{font-size:14px;font-family:Poppins;cursor:pointer!important}.date-display-section input{width:68%;font-size:14px;font-family:Poppins;border:none!important;outline:0!important;cursor:pointer;text-align:center!important;padding:0!important;background-color:transparent}.time-display-section .time-input-container{width:118px;font-size:14px;font-family:Poppins;border:none!important;outline:0!important;cursor:pointer;text-align:center!important;padding:0!important;background-color:transparent}.from-time .time-input-container{margin-left:8px;display:flex;justify-content:flex-start}.to-time .time-input-container{display:flex;justify-content:flex-end}.time-input-container input{width:20%;border:none!important;outline:0!important;text-align:right}.time-input-container span{margin:0}.time-input-container .meridiem{width:33%;font-weight:400!important}input::-webkit-inner-spin-button,input::-webkit-outer-spin-button{-webkit-appearance:none;margin:0}input[type=number]{-moz-appearance:textfield}.meridiem-class{margin-top:2px;text-align:left;font-weight:400!important}.time-display-section .from-time{display:flex;justify-content:flex-start;align-items:center}.time-display-section .to-time{display:flex;justify-content:flex-end;align-items:center;margin-left:8px}.endDateLessThan,.startDateGreaterThan{pointer-events:none}.not-enabled{color:#c2c2c2;pointer-events:none}"]
    })
], DateRangePickerComponent);

let DateRangePickerModule = class DateRangePickerModule {
};
DateRangePickerModule = __decorate([
    NgModule({
        declarations: [DateRangePickerComponent],
        imports: [
            CommonModule,
            MatIconModule,
            FormsModule,
            MatSelectModule,
            ClickOutsideModule,
        ],
        exports: [
            DateRangePickerComponent,
            MatIconModule,
            FormsModule,
            MatSelectModule,
            ClickOutsideModule,
        ],
    })
], DateRangePickerModule);

let AutocompleteComponent = class AutocompleteComponent {
    constructor() {
        this.loading = false;
        this.onChange = new EventEmitter();
        this.autocompleteWithImage = false;
        this.defaultImage = "/assets/icons/girl.png";
        this.placeholder = "Select Brand";
        this.myControl = new FormControl();
        this.options = [
            {
                id: 0,
                name: "And",
                image: "",
            },
            {
                id: 1,
                name: "Being Human",
                image: "",
            },
            {
                id: 2,
                name: "Catwalk",
                image: "",
            },
            {
                id: 3,
                name: "Disrupt",
                image: "",
            },
            {
                id: 4,
                name: "Fashion for her",
                image: "",
            },
            {
                id: 5,
                name: "Gee",
                image: "",
            },
            {
                id: 6,
                name: "Red Hat",
                image: "",
            },
            {
                id: 7,
                name: "Red Town",
                image: "",
            },
            {
                id: 8,
                name: "Red at Heart",
                image: "",
            },
            {
                id: 9,
                name: "Red but not blood",
                image: "",
            },
            {
                id: 10,
                name: "Spykar",
                image: "",
            },
        ];
    }
    ngOnInit() {
        this.filteredOptions = this.myControl.valueChanges.pipe(startWith({ name: "" }), map((value) => (typeof value === "string" ? value : value.name)), map((name) => (name ? this._filter(name) : this.options.slice())));
    }
    _filter(value) {
        const filterValue = value.toLowerCase();
        this.selected(filterValue);
        return this.options.filter((option) => option.name.toLowerCase().includes(filterValue));
    }
    displayFn(option) {
        return option && option.name ? option.name : "";
    }
    selected(e) {
        this.onChange.emit(e);
    }
};
__decorate([
    Output()
], AutocompleteComponent.prototype, "onChange", void 0);
__decorate([
    Input()
], AutocompleteComponent.prototype, "autocompleteWithImage", void 0);
__decorate([
    Input()
], AutocompleteComponent.prototype, "defaultImage", void 0);
__decorate([
    Input()
], AutocompleteComponent.prototype, "placeholder", void 0);
__decorate([
    Input()
], AutocompleteComponent.prototype, "options", void 0);
AutocompleteComponent = __decorate([
    Component({
        selector: "nitrozen-autocomplete",
        template: "<div class=\"nitrozen-autocomplete-wrapper\">\n  <form class=\"form-div\">\n    <div [ngClass]=\"autocompleteWithImage ? 'nitro-input-box-wrap' : ''\">\n      <div class=\"prefix-icon\" *ngIf=\"autocompleteWithImage\">\n        <img\n          width=\"20\"\n          height=\"20\"\n          src=\"{{ myControl.value?.image || defaultImage }}\"\n        />\n      </div>\n      <input\n        type=\"text\"\n        placeholder=\"{{ placeholder }}\"\n        aria-label=\"Number\"\n        [formControl]=\"myControl\"\n        [matAutocomplete]=\"auto\"\n      />\n    </div>\n    <mat-autocomplete #auto=\"matAutocomplete\" [displayWith]=\"displayFn\">\n      <mat-option *ngIf=\"loading\" class=\"loader\">\n        <img src=\"../../../assets/icons/loader-v01.gif\"\n      /></mat-option>\n      <span *ngIf=\"!loading\">\n        <mat-option\n          *ngFor=\"let option of filteredOptions | async\"\n          [value]=\"option\"\n        >\n          <div\n            [ngClass]=\"autocompleteWithImage ? 'autocomplete-mat-option ' : ''\"\n          >\n            <img\n              *ngIf=\"autocompleteWithImage\"\n              width=\"20\"\n              height=\"20\"\n              class=\"image\"\n              src=\"{{ option['image'] }}\"\n            />\n            {{ option[\"name\"] }}\n          </div>\n        </mat-option>\n      </span>\n    </mat-autocomplete>\n  </form>\n</div>\n",
        styles: [".form-div{width:200px}.nitro-input-box-wrap{display:flex;position:relative}.nitro-input-box-wrap input{padding-left:42px;width:90%}.prefix-icon{position:absolute;left:16px;top:11px;text-align:center}.autocomplete-mat-option{display:flex!important;align-items:center!important}.image{margin-right:7px}"]
    })
], AutocompleteComponent);

let AutoCompleteModule = class AutoCompleteModule {
};
AutoCompleteModule = __decorate([
    NgModule({
        declarations: [AutocompleteComponent],
        imports: [
            CommonModule,
            FormsModule,
            MatSelectModule,
            MatAutocompleteModule,
            ReactiveFormsModule,
        ],
        exports: [
            AutocompleteComponent,
            FormsModule,
            MatSelectModule,
            MatAutocompleteModule,
            ReactiveFormsModule,
        ],
    })
], AutoCompleteModule);

/**
 * Generated bundle index. Do not edit.
 */

export { AutoCompleteModule, ButtonModule, ButtonTextModule, CheckboxModule, DateRangePickerModule, FileUploadModule, InputModule, RadioButtonModule, SearchableSelectModule, SideMenuModule, SnackBarModule, TabsModule, VerticalTabsModule, ɵ0, ButtonComponent as ɵa, ButtonTextComponent as ɵb, CheckboxComponent as ɵc, RadioButtonComponent as ɵd, InputComponent as ɵe, InputSuffixComponent as ɵf, InputPrefixComponent as ɵg, SearchableSelectComponent as ɵh, SelectCheckAllComponent as ɵi, SnackBarComponent as ɵj, CustomSnackbarComponent as ɵk, VerticalTabsComponent as ɵl, TabsComponent as ɵm, FileUploadComponent as ɵn, DragDropDirective as ɵo, CropModalComponent as ɵp, ButtonRoundedModule as ɵq, ButtonRoundedComponent as ɵr, SideMenuComponent as ɵs, DateRangePickerComponent as ɵt, dateRangePickerAnimation as ɵu, AutocompleteComponent as ɵv };
//# sourceMappingURL=nitrozen.js.map
