import { OnInit, EventEmitter } from "@angular/core";
import { HttpClient } from "@angular/common/http";
import { Subscription } from "rxjs";
import { MatDialog } from "@angular/material/dialog";
export declare class FileUploadComponent implements OnInit {
    private _http;
    dialog: MatDialog;
    /** Link text */
    text: string;
    /** Name used in form which will be sent in HTTP request. */
    param: string;
    view: any;
    size: any;
    dimension: any;
    error: any;
    msg: any;
    /** Target URL for file uploading. */
    target: string;
    /** File extension that accepted, same as 'accept' of <input type="file" />.
      By the default, it's set to 'image/*'. */
    accept: any;
    required: boolean;
    download: boolean;
    enableCrop: boolean;
    downloadUrl: any;
    replaceable: any;
    newSrc: any;
    config: any;
    type: any;
    /** Allow you to add handler after its completion. Bubble up response text from remote. */
    complete: EventEmitter<any>;
    dimen: EventEmitter<any>;
    files: Array<FileUploadModel>;
    canChange: boolean;
    uploadedFileName: any;
    logo_active: boolean;
    file_type: any;
    url: any;
    typesMap: {
        csv: {
            accept: string;
            contentType: string[];
            readMethod: string;
            errorMsg: string;
        };
        image: {
            accept: string;
            readMethod: string;
            errorMsg: string;
        };
        image_jpg: {
            accept: string;
            readMethod: string;
            errorMsg: string;
        };
        video: {
            accept: string;
            readMethod: string;
            errorMsg: string;
        };
        pdf: {
            accept: string;
            contentType: string[];
            errorMsg: string;
        };
        json: {
            accept: string;
            contentType: string;
            readMethod: string;
            errorMsg: string;
        };
    };
    constructor(_http: HttpClient, dialog: MatDialog);
    ngOnInit(): void;
    onClick(): void;
    cancelFile(file: FileUploadModel): void;
    retryFile(file: FileUploadModel): void;
    uploadDragFile(event: any): void;
    downloadImage(downloadUrl: any): void;
    getImageDimension(obj: any): void;
    private uploadFile;
    private uploadFiles;
    openCropTool(event: any): void;
    private removeFileFromArray;
    myMethod(e: any): void;
}
export declare class FileUploadModel {
    data: File;
    state: string;
    inProgress: boolean;
    progress: number;
    canRetry: boolean;
    canCancel: boolean;
    sub?: Subscription;
}
