import { ChangeDetectorRef, EventEmitter, OnInit } from '@angular/core';
import { FormControl } from '@angular/forms';
import { InputTypes } from './input-types';
export declare class InputComponent implements OnInit {
    private cd;
    id: string;
    name: string;
    label: string;
    type: InputTypes;
    hint: string;
    error: string;
    blocked: boolean;
    success: string;
    placeholder: string;
    disabled: boolean;
    tabindex: number;
    search: boolean;
    showSuccess: boolean;
    righttext: string;
    toolmsg: string;
    pattern: string;
    noneditable: boolean;
    min: number;
    max: number;
    minlength: number;
    maxlength: number;
    required: boolean;
    requiredIndicator: string | boolean;
    tooltip: boolean;
    passwordToggleEnabled: boolean;
    passwordTextVisible: boolean;
    autoSelect: boolean;
    autofocus: boolean;
    autocomplete: boolean;
    autocorrect: boolean;
    spellcheck: boolean;
    change: EventEmitter<any>;
    blur: EventEmitter<any>;
    focus: EventEmitter<any>;
    keyup: EventEmitter<any>;
    click: EventEmitter<any>;
    get value(): string;
    set value(val: string);
    readonly getHostCssClasses = "ngx-input";
    get focusedOrDirty(): any;
    get isTouched(): boolean;
    get labelState(): string;
    get underlineState(): string;
    get requiredIndicatorView(): string;
    get element(): any;
    focused: boolean;
    private _value;
    private inputControl;
    private inputModel;
    private textareaControl;
    private passwordControl;
    constructor(cd: ChangeDetectorRef);
    validate(c: FormControl): {
        [x: string]: any;
    };
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnChanges(changes: any): void;
    onChange(event: any): void;
    onKeyUp(event: any): void;
    onFocus(event: any): void;
    onBlur(event: any): void;
    writeValue(val: string): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    togglePassword(): void;
    setDisabledState(isDisabled: boolean): void;
    private onTouchedCallback;
    private onChangeCallback;
}
